/*
###########################################################################
#                                                                         #
# File   :	stepp.h                                                   #
# Project:	PP - Prometheus Project                                   #
#                                                                         #
# Started:	02.04.98                                                  #
# Changed:	02.04.98                                                  #
# Author :      Gerhard Vogt                                              #
#                                                                         #
# Copyright (C) 1998 by Gerhard Vogt                                      #
#                                                                         #
# This program is free software; you can redistribute it and/or modify    #
# it under the terms of the GNU General Public License as published by    #
# the Free Software Foundation; either version 2 of the License, or       #
# (at your option) any later version.                                     #
#                                                                         #
# This program is distributed in the hope that it will be useful,         #
# but WITHOUT ANY WARRANTY; without even the implied warranty of          #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           #
# GNU General Public License for more details.                            #
#                                                                         #
# You should have received a copy of the GNU General Public License       #
# along with this program; if not, write to the Free Software             #
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               #
# See the file "COPYING" in the base directory of this distribution       #
# for more.                                                               #
#                                                                         #
###########################################################################
*/
#include <iostream.h>
#include <string.h>
#include <qwidget.h>

#ifndef STEPP_H
#define STEPP_H

const int karteRangeX=49, karteRangeY=49;

class nextStepp : public QWidget {

Q_OBJECT

    public:
       nextStepp (QWidget *parent=0, const char *name=0);
       void nextMoveLine (int x,int y,int x2,int y2);
       int findIterativDirect (int qX, int qY, int dX, int dY);
       int nextStepp::findIterativ (int qX, int qY, int dX, int dY);
       void nextStepp::findBest (int qX, int qY, int dX, int dY);
       int feld [karteRangeY+1][karteRangeX+1];
       int speicher [karteRangeY+1][karteRangeY+1];
       void suche (int x, int y, int qX, int qY, int dX, int dY);
       int found, t, oldX, oldY;
       int oldNextX, firstX, firstY;
       int oldNextY, nextX, nextY;
};

#endif
