/*
###########################################################################
#                                                                         #
# File   :	pic2.cpp                                                  #
# Project:	PP - Prometheus Project                                   #
#                                                                         #
# Started:	02.04.98                                                  #
# Changed:	02.04.98                                                  #
# Author :      Gerhard Vogt                                              #
#                                                                         #
# Copyright (C) 1998 by Gerhard Vogt                                      #
#                                                                         #
# This program is free software; you can redistribute it and/or modify    #
# it under the terms of the GNU General Public License as published by    #
# the Free Software Foundation; either version 2 of the License, or       #
# (at your option) any later version.                                     #
#                                                                         #
# This program is distributed in the hope that it will be useful,         #
# but WITHOUT ANY WARRANTY; without even the implied warranty of          #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           #
# GNU General Public License for more details.                            #
#                                                                         #
# You should have received a copy of the GNU General Public License       #
# along with this program; if not, write to the Free Software             #
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               #
# See the file "COPYING" in the base directory of this distribution       #
# for more.                                                               #
#                                                                         #
###########################################################################
*/
#include "pic2.h"

  void PicLoad::animate()
  {

// Zhle mCounter hoch:
   if (mCounter!=-1)
     {mCounter++;}
   if (mCounter>=200)
     {mCounter=-1;
      infoString="";}
// Zhler saveCounter:
   if (autoSave==1)
   {
     saveCounter++;
     if (saveCounter>=300)
     {
       emit saveGameSignal ("autosave.sav");
       saveCounter=0;
     }
   }
// Bewege Karte wenn Select-Rechteck zu gro:
    if (autoScroll==1)
    {
      if ((karteX+autoMoveKarteX>=0)
        &&(karteX+autoMoveKarteX<=maxKarteX))
        {karteX+=autoMoveKarteX;}
      if ((karteY+autoMoveKarteY>=0)
        &&(karteY+autoMoveKarteY<=maxKarteY))
        {karteY+=moveKarteY;}
    }

    if ((karteX+moveKarteX>=0)
      &&(karteX+moveKarteX<=maxKarteX))
      {karteX+=moveKarteX;}
    if ((karteY+moveKarteY>=0)
      &&(karteY+moveKarteY<=maxKarteY))
      {karteY+=moveKarteY;}
    if (selectCounter!=-1)
    {
      selectCounter++;
      if ((selRx1==-1)&&(selRy1==-1)&&(selectCounter>=selRising))
      {
        this->setCursor(crossCursor);
      }
    }

    fogKarte=fogKarteSchwarz;

// In jeepS1x wird die quell Xkooerdinate gespeichert;
// in jeepS2x die Zielkoordinate.
// Der Verlauf wird jeweils hochgezhlt und bestimmt die
// Position des Jeeps.
    if (mPressed==1)
    {
//      unselectAll ();
      pressedSec++;
    }
    if (pressedSec>=crossRising)
    {
      if ((karteX-(navX-nav2X)/100*crossScrolling>=0)
         &&(karteX-(navX-nav2X)/100*crossScrolling<=maxKarteX))
        {karteX-=(navX-nav2X)/100*crossScrolling;}

      if ((karteY-(navY-nav2Y)/100*crossScrolling>=0)
         &&(karteY-(navY-nav2Y)/100*crossScrolling<=maxKarteY))
         {
           karteY-=(navY-nav2Y)/100*crossScrolling;
         }
    }

    for (int i=0; i<=(maxBuildings-1); i++)
    {
//Fog Gebaeude:

      if ((buildings[i].gruppe==1) && (buildings[i].building!=5)
          &&(buildings[i].health>0)
          &&(buildings[i].ortY>=0)&&(buildings[i].ortX>=0))
      {
        for (int x=0; x<=10; x++)
          for (int y=0; y<=10; y++)
          {
            if ((buildings[i].ortY-5+y>=0)
              &&(buildings[i].ortY-5+y<=karteRangeY)
              &&(buildings[i].ortX-5+x>=0)
              &&(buildings[i].ortX-5+x<=karteRangeX))
            {
              fogKarte [buildings[i].ortY-5+y][buildings[i].ortX-5+x]=1;
              fogKarte2 [buildings[i].ortY-5+y][buildings[i].ortX-5+x]=3;
            }
          }
      }
      else
      {
//Radar:
        if ((buildings[i].gruppe==1) && (buildings[i].building==5)
           && (buildings[i].health>0))
        {
          for (int x=0; x<=20; x++)
            for (int y=0; y<=20; y++)
            {
              if ((buildings[i].ortY-9+y>=0)
                &&(buildings[i].ortY-9+y<=karteRangeY)
                &&(buildings[i].ortX-9+x>=0)
                &&(buildings[i].ortX-9+x<=karteRangeX))
                {
                  fogKarte [buildings[i].ortY-9+y][buildings[i].ortX-9+x]=1;
                  fogKarte2 [buildings[i].ortY-9+y][buildings[i].ortX-9+x]=3;
                }
            }
        }
      }

//
// Berechne an dieser Stelle die Ziele fr Cannon.
//
      if ((buildings[i].gruppe==1)&&((buildings[i].building==3)
        ||(buildings[i].building==4)))
      {
// Berechne Treffer:
        if (buildings[i].shootVerlauf != 0)
        {
          if (buildings[i].shootVerlauf == 14)
          {
            for (int i2=0; i2<=(maxCars-1); i2++)
            {
              if ((buildings[i].shootX==cars[i2].jeepS2x)
                 &&(buildings[i].shootY==cars[i2].jeepS2y)
                 &&(cars[i2].gruppe==2)&&(cars[i2].health>0))
              {
                if (difficulty==1)
                  {cars[i2].health-=1;}
                else if (difficulty==2)
                  {cars[i2].health-=(int) (buildings[i].power/4);}
                else if (difficulty==3)
                  {cars[i2].health-=(int) (buildings[i].power/2);}
                else if (difficulty==4)
                  {cars[i2].health-=(int) ((buildings[i].power*3)/4);}
                else if (difficulty==5)
                  {cars[i2].health-=buildings[i].power;}
                else if (difficulty==6)
                  {cars[i2].health=0;}
//                cars[i2].health-=buildings[i].power;
                if (cars[i2].health<=0)
                {
                  winDaten.killsCars++;
                  energieUsed2-=1;
                  if (cars[i2].type==4)
                    {energieUsed2-=1;}
                  steuerUsed2-=1;
                  carCount2--;
                  if (cars[i2].wache==0)
                  {
                    carsAngriff2--;
                  }
                  baumKarte[cars[i2].jeepS2y][cars[i2].jeepS2x]=1;
                  baumKarte[cars[i2].jeepS1y][cars[i2].jeepS1x]=1;
                }
              }
            }
          }
          buildings[i].shootVerlauf++;
          if (buildings[i].shootVerlauf==buildings[i].shootFreq)
          {
            buildings[i].shootVerlauf=0;
            buildings[i].shootX=-1;
            buildings[i].shootY=-1;
          }
        }
//Autoshooting Gebude(Cannon):
        for (int i2=0; i2<=(maxCars-1); i2++)
        {
          if ((buildings[i].gruppe==1)&&(cars[i2].gruppe==2)
            &&(buildings[i].shootX==-1)&&(buildings[i].shootY==-1)
            &&(cars[i2].jeepS2x>=buildings[i].ortX-4)
            &&(cars[i2].jeepS2x<=buildings[i].ortX+4)
            &&(cars[i2].jeepS2y>=buildings[i].ortY-4)
            &&(cars[i2].jeepS2y<=buildings[i].ortY+4)
            &&(cars[i2].health>0)&&(buildings[i].health>0))
          {
            buildings[i].shootVerlauf=1;

            buildings[i].shootX=cars[i2].jeepS2x;
            buildings[i].shootY=cars[i2].jeepS2y;
          }
        }
      }

//
// Berechne an dieser Stelle die Ziele fr Cannon.(Fuer Gruppe2)
//
     if ((buildings[i].gruppe==2)&&((buildings[i].building==3)
        ||(buildings[i].building==4)))
      {
// Berechne Treffer:
        if (buildings[i].shootVerlauf != 0)
        {
          if (buildings[i].shootVerlauf == 14)
          {
            for (int i2=0; i2<=(maxCars-1); i2++)
            {
              if ((buildings[i].shootX==cars[i2].jeepS2x)
                 &&(buildings[i].shootY==cars[i2].jeepS2y)
                 &&(cars[i2].gruppe==1)&&(cars[i2].health>0))
              {
                cars[i2].health-=buildings[i].power;
                if (cars[i2].health<=0)
                {
                  winDaten.losesCars++;
                  energieUsed-=1;
                  if (cars[i2].type==4)
                    {energieUsed-=1;}
                  steuerUsed-=1;
                  baumKarte[cars[i2].jeepS2y][cars[i2].jeepS2x]=1;
                  baumKarte[cars[i2].jeepS1y][cars[i2].jeepS1x]=1;
                }
              }
            }
          }
          buildings[i].shootVerlauf++;
          if (buildings[i].shootVerlauf==buildings[i].shootFreq)
          {
            buildings[i].shootVerlauf=0;
            buildings[i].shootX=-1;
            buildings[i].shootY=-1;
          }
        }
//Autoshooting Gebude(Cannon):
        for (int i2=0; i2<=(maxCars-1); i2++)
        {
          if ((buildings[i].gruppe==2)&&(cars[i2].gruppe==1)
            &&(buildings[i].shootX==-1)&&(buildings[i].shootY==-1)
            &&(cars[i2].jeepS2x>=buildings[i].ortX-4)
            &&(cars[i2].jeepS2x<=buildings[i].ortX+4)
            &&(cars[i2].jeepS2y>=buildings[i].ortY-4)
            &&(cars[i2].jeepS2y<=buildings[i].ortY+4)
            &&(cars[i2].health>0)&&(buildings[i].health>0))
          {
            buildings[i].shootVerlauf=1;
            buildings[i].shootX=cars[i2].jeepS2x;
            buildings[i].shootY=cars[i2].jeepS2y;
          }
        }
      }
    }

//berechne Computeraktionen:
    az++;
    if (az==30)
    {

//baue Autos:
      attackBuilding=0;
      int BuildingsGruppe1=0;
      int BuildingsGruppe2=0;
      for (int i=0; i<=(maxBuildings-1); i++)
      {
//Kontrolliere, ob noch Gebude stehen:
        if ((buildings[i].health>0)&&(buildings[i].gruppe==1))
        {
          BuildingsGruppe1++;
        }
        if ((buildings[i].health>0)&&(buildings[i].gruppe==2))
        {
          BuildingsGruppe2++;
        }
//baue Autos:
        if ((buildings[i].gruppe==2)&&(buildings[i].building==1)
        &&(energie2>=500)&&(buildings[i].health>0))
        {
          int choise=::rand()%4;
          if ((choise>=0)&&(choise<=3))
            {buildCarComp(choise,i);}
//            buildCarComp(2,i);
        }

//Serach nearest enemy-building:
/*        if (((buildings[i].ortY>=buildings[attackBuilding].ortY)
           &&(buildings[i].gruppe==1)&&(buildings[i].health>0))
           ||(buildings[attackBuilding].health<=0))
        {
           if (buildings[attackBuilding].health<=0)
           {
             while ((buildings [attackBuilding].gruppe!=1)
                  ||(buildings [attackBuilding].health<=0)
                  ||(attackBuilding<=maxBuildings))
               {attackBuilding=attackBuilding+1;}
           }
           else
           {
               attackBuilding=i;
           }
        }*/
//Attacking buildings stepp by stepp:
        if ((buildings[i].gruppe==1)&&(buildings[i].health>0)
          &&(buildings[i].ortY>=0)&&(buildings[i].ortX>=0)
          &&(buildings[i].building<=8)&&(buildings[i].building>=0))
          {attackBuilding=i;}
      }
      if (BuildingsGruppe1==0)
      {
        winDaten.sieg=1;
        emit siegSignal (1, winDaten);
       }
      else if (BuildingsGruppe2==0)
      {
        winDaten.sieg=2;
        emit siegSignal (2, winDaten);
      }
      if (((attackBuilding==0)&&(buildings[attackBuilding].gruppe==2))
         ||(attackBuilding>=maxBuildings))
        {attackBuilding=-1;}

// 1/3 soll Gruppe1 angreifen:

      if ((attackBuilding!=-1)&&(carCount2>=((steuerCars2*3)/5))
          &&(carsSend2<=carCount2/3)&&(carsAngriff2<carCount2/3))
      {
        for (int i=0; i<=(maxCars-1); i++)
        {
          if ((cars[i].gruppe==2)&&(carsSend2<=carCount2/3)
             &&(cars[i].wache==1))
          {
            cars[i].destinationX=buildings[attackBuilding].ortX;
            cars[i].destinationY=buildings[attackBuilding].ortY;
            carsSend2++;
            carsAngriff2++;
            cars[i].wache=0;
          }
        }
      }
      else if (attackBuilding != -1)
      {
        for (int i=0; i<=(maxCars-1); i++)
        {
          if ((cars[i].gruppe==2)&&(cars[i].wache==0))
          {
            cars[i].destinationX=buildings[attackBuilding].ortX;
            cars[i].destinationY=buildings[attackBuilding].ortY;
          }
        }
      }
// Wchter sollen die Umgebung  sichern;
      int aimFound=0;
      for (int i=0; i<= maxCars-1; i++)
      {
//Kontrolliere 8x8 - Radius:
        if ((cars[i].wache==1)&&(cars[i].gruppe==2))
        {
          aimFound=0;
          for (int x=0; x<=8; x++)
            for (int y=0; y<=8; y++)
            {
// Kontrolliere, ob ein feindlicher Waagen im Bereich liegt
              for (int i2=0; i2<= maxCars-1; i2++)
              {
                if ((cars[i2].jeepS2x==cars[i].jeepS2x-4+x)
                  &&(cars[i2].jeepS2y==cars[i].jeepS2y-4+y)
                  &&(cars[i2].health>=0)&&(i!=i2)
                  &&(cars[i2].gruppe==1)) 
                  {cars[i].destinationX=cars[i2].jeepS2x;
                   cars[i].destinationY=cars[i2].jeepS2y;
                   aimFound=1;}
              }
              if (aimFound==0)
              {
// Kontrolliere, ob ein feindliches Gebude im Bereich liegt
                for (int i2=0; i2<= maxBuildings-1; i2++)
                {
                  if ((buildings[i2].ortX==cars[i].jeepS2x-4+x)
                    &&(buildings[i2].ortY==cars[i].jeepS2y-4+y)
                    &&(buildings[i2].health>=0)
                    &&(buildings[i2].gruppe==1)) 
                    {cars[i].destinationX=buildings[i2].ortX;
                     cars[i].destinationY=buildings[i2].ortY;
                     aimFound=1;}
                  else if (aimFound==0)
                    {cars[i].destinationX=cars[i].wacheX;
                     cars[i].destinationY=cars[i].wacheY;}
                }
              }
            }
          if ((cars[i].destinationX>=cars[i].wacheX+8)
            ||(cars[i].destinationX<=cars[i].wacheX-8)
            ||(cars[i].destinationY>=cars[i].wacheY+8)
            ||(cars[i].destinationY<=cars[i].wacheY-8))
            {cars[i].destinationX=cars[i].wacheX;
             cars[i].destinationY=cars[i].wacheY;}
        }
// Kontrolliere, da sich die Waagen nicht zu weit vom Einsatzort entfernen:        
      }

    az=0;
    }
    carsSend2=0;
//add Energie
    if (az%20==0)
    {
      energie+=addEnergie-energieUsed;
      energie2+=addEnergie2-energieUsed2;
      winDaten.EnergieGesamt1+=addEnergie;
      winDaten.EnergieGesamt2+=addEnergie2;
    }
    emit changeEnergie (energie);
    emit energieUsedSignal (energieUsed);
    emit energieAdd (addEnergie);
    emit controlersUsedSignal (steuerUsed);
    emit controlersSignal (steuerCars);
//Autoshooting:
    for (int i=0; i<=(maxCars-1); i++)
    {
      for (int i2=0; i2<=(maxCars-1); i2++)
      {
        if ((cars[i].gruppe==1)&&(cars[i2].gruppe==2)
          &&(cars[i].shootX==-1)&&(cars[i].shootY==-1)
          &&(cars[i2].jeepS2x>=cars[i].jeepS2x-2)
          &&(cars[i2].jeepS2x<=cars[i].jeepS2x+2)
          &&(cars[i2].jeepS2y>=cars[i].jeepS2y-2)
          &&(cars[i2].jeepS2y<=cars[i].jeepS2y+2)
          &&(cars[i2].health>0)&&(autoOn==1))
        {
          cars[i].shootVerlauf=1;
          cars[i].shootX=cars[i2].jeepS2x;
          cars[i].shootY=cars[i2].jeepS2y;
        }
        else if ((cars[i].gruppe==2)&&(cars[i2].gruppe==1)
          &&(cars[i].shootX==-1)&&(cars[i].shootY==-1)
          &&(cars[i2].jeepS2x>=cars[i].jeepS2x-2)
          &&(cars[i2].jeepS2x<=cars[i].jeepS2x+2)
          &&(cars[i2].jeepS2y>=cars[i].jeepS2y-2)
          &&(cars[i2].jeepS2y<=cars[i].jeepS2y+2)
          &&(cars[i2].health>0))
        {
          cars[i].shootVerlauf=1;
          cars[i].shootX=cars[i2].jeepS2x;
          cars[i].shootY=cars[i2].jeepS2y;
        }
      }
      for (int i2=0; i2<=(maxBuildings-1); i2++)
      {
        if ((cars[i].gruppe==1)&&(buildings[i2].gruppe==2)
          &&(cars[i].shootX==-1)&&(cars[i].shootY==-1)
          &&(buildings[i2].health>0)&&(autoOn==1))
        {
          if (buildings[i2].bWidth==2*square)
          {
            for (int x=0; x<=buildings[i2].bWidth/square-1; x++)
              for (int y=0; y<=buildings[i2].bWidth/square-1; y++)
              {
                if ((buildings[i2].ortX+x>=cars[i].jeepS2x-2)
                  &&(buildings[i2].ortX+x<=cars[i].jeepS2x+2)
                  &&(buildings[i2].ortY+y>=cars[i].jeepS2y-2)
                  &&(buildings[i2].ortY+y<=cars[i].jeepS2y+2))
                {
                  cars[i].shootVerlauf=1;
                  cars[i].shootX=buildings[i2].ortX+x;
                  cars[i].shootY=buildings[i2].ortY+y;
                }
              }
          }
          else
          {
            if ((buildings[i2].ortX>=cars[i].jeepS2x-2)
               &&(buildings[i2].ortX<=cars[i].jeepS2x+2)
               &&(buildings[i2].ortY>=cars[i].jeepS2y-2)
               &&(buildings[i2].ortY<=cars[i].jeepS2y+2))
            {
              cars[i].shootVerlauf=1;
              cars[i].shootX=buildings[i2].ortX;
              cars[i].shootY=buildings[i2].ortY;
            }
          }
        }
        if ((cars[i].gruppe==2)&&(buildings[i2].gruppe==1)
           &&(cars[i].shootX==-1)&&(cars[i].shootY==-1)
           &&(buildings[i2].health>0))
        {
          if (buildings[i2].bWidth==2*square)
          {
            for (int x=0; x<=buildings[i2].bWidth/square-1; x++)
              for (int y=0; y<=buildings[i2].bWidth/square-1; y++)
              {
                if ((buildings[i2].ortX+x>=cars[i].jeepS2x-2)
                   &&(buildings[i2].ortX+x<=cars[i].jeepS2x+2)
                   &&(buildings[i2].ortY+y>=cars[i].jeepS2y-2)
                   &&(buildings[i2].ortY+y<=cars[i].jeepS2y+2))
                {
                  cars[i].shootVerlauf=1;
                  cars[i].shootX=buildings[i2].ortX+x;
                  cars[i].shootY=buildings[i2].ortY+y;
                }
              }
          }
          else
          {
            if ((buildings[i2].ortX>=cars[i].jeepS2x-2)
               &&(buildings[i2].ortX<=cars[i].jeepS2x+2)
               &&(buildings[i2].ortY>=cars[i].jeepS2y-2)
               &&(buildings[i2].ortY<=cars[i].jeepS2y+2))
            {
              cars[i].shootVerlauf=1;
              cars[i].shootX=buildings[i2].ortX;
              cars[i].shootY=buildings[i2].ortY;
            }
          }
        }
      }
    }
    for (int i=0; i<=(maxCars-1); i++)
    {
      if (cars[i].health>0)
      {
//Berechne Treffer
        if (cars[i].shootVerlauf != 0)
        {
          if (cars[i].shootVerlauf == 14)
          {
            for (int i2=0; i2<=(maxCars-1); i2++)
            {
              if ((i2!=i)&&(cars[i].shootX==cars[i2].jeepS2x)
                 &&(cars[i].shootY==cars[i2].jeepS2y)
                 &&(cars[i2].health>=0))
              {
                if (cars[i2].gruppe==1)
                {
                  if (difficulty==1)
                    {cars[i2].health-=1;}
                  else if (difficulty==2)
                    {cars[i2].health-=(int) (cars[i].power/4);}
                  else if (difficulty==3)
                    {cars[i2].health-=(int) (cars[i].power/2);}
                  else if (difficulty==4)
                    {cars[i2].health-=(int) ((cars[i].power*3)/4);}
                  else if (difficulty==5)
                    {cars[i2].health-=cars[i].power;}
                  else if (difficulty==6)
                    {cars[i2].health=0;}
                }
                else
                {
                  cars[i2].health-=cars[i].power;
                }
//                  cars[i2].health-=cars[i].power;
                if (cars[i2].health<=0)
                {
                  if (cars[i2].gruppe==1)
                  {
                    winDaten.losesCars++;
                    energieUsed-=1;
                    if (cars[i2].type==4)
                      {energieUsed-=1;}
                    steuerUsed-=1;
                  }
                  else
                  {
                    carCount2--;
                    if (cars[i2].wache==0)
                    {
                      carsAngriff2--;
                    }
                    energieUsed2-=1;
                    if (cars[i2].type==4)
                      {energieUsed2-=1;}
                    steuerUsed2-=1;
                    winDaten.killsCars++;
                  }
                  baumKarte[cars[i2].jeepS2y][cars[i2].jeepS2x]=1;
                  baumKarte[cars[i2].jeepS1y][cars[i2].jeepS1x]=1;
                }
              }
            }
            for (int i2=0; i2<=(maxBuildings-1); i2++)
            {
              if ((((buildings[i2].bWidth==2*square)
&&(cars[i].shootX>=buildings[i2].ortX)
&&(cars[i].shootX<=buildings[i2].ortX+buildings[i2].bWidth/square-1)
&&(cars[i].shootY>=buildings[i2].ortY)
&&(cars[i].shootY<=buildings[i2].ortY+buildings[i2].bWidth/square-1))
||((buildings[i2].bWidth==square)
&&(cars[i].shootX==buildings[i2].ortX)
&&(cars[i].shootY==buildings[i2].ortY)))
&&(buildings[i2].health>0))
              {
                if (buildings[i2].gruppe==1)
                {
                  if (difficulty==1)
                    {buildings[i2].health-=1;}
                  else if (difficulty==2)
                    {buildings[i2].health-=(int) (cars[i].power/4);}
                  else if (difficulty==3)
                    {buildings[i2].health-=(int) (cars[i].power/2);}
                  else if (difficulty==4)
                    {buildings[i2].health-=(int) ((cars[i].power*3)/4);}
                  else if (difficulty==5)
                    {buildings[i2].health-=cars[i].power;}
                  else if (difficulty==6)
                    {buildings[i2].health=0;}
                }
                else
                {
                  buildings[i2].health-=cars[i].power;
                }
//                buildings[i2].health-=cars[i].power;
                if (buildings[i2].health<=0)
                {
                  if (buildings[i2].gruppe==1)
                  {
                    winDaten.losesBuildings++;
                  }
                  else
                  {
                    winDaten.killsBuildings++;
                  }
                  buildingKarte[buildings[i2].ortY][buildings[i2].ortX]=1;
                  if (buildings[i2].bWidth==2*square)
                  {
                    for (int x=0; x<=buildings[i2].bWidth/square-1; x++)
                      for (int y=0; y<=buildings[i2].bWidth/square-1; y++)
                      {
                      baumKarte[buildings[i2].ortY+y][buildings[i2].ortX+x]=1; 
                      };
                  }
                  else
                    {baumKarte[buildings[i2].ortY][buildings[i2].ortX]=1;}
                  if ((buildings[i2].gruppe==1)&&(buildings[i2].building==2))
                    {addEnergie-=5;}
                  if ((buildings[i2].gruppe==2)&&(buildings[i2].building==2))
                    {addEnergie2-=5;}
                  if ((buildings[i2].gruppe==1)&&(buildings[i2].building==8))
                    {addEnergie-=30;}
                  if ((buildings[i2].gruppe==2)&&(buildings[i2].building==8))
                    {addEnergie2-=30;}
                  if ((buildings[i2].gruppe==1)&&(buildings[i2].building==7))
                    {steuerCars-=5;energieUsed-=1;}
                  if ((buildings[i2].gruppe==2)&&(buildings[i2].building==7))
                    {steuerCars2-=5;energieUsed2-=1;}
                  if ((buildings[i2].gruppe==1)&&(buildings[i2].building==0))
                    {energieUsed-=5;}
                  if ((buildings[i2].gruppe==1)&&(buildings[i2].building==1))
                    {energieUsed-=5;}
                  if ((buildings[i2].gruppe==1)&&(buildings[i2].building==3))
                    {energieUsed-=3;}
                  if ((buildings[i2].gruppe==1)&&(buildings[i2].building==4))
                    {energieUsed-=5;}
                  if ((buildings[i2].gruppe==1)&&(buildings[i2].building==5))
                    {energieUsed-=10;}
                  if ((buildings[i2].gruppe==1)&&(buildings[i2].building==6))
                    {energieUsed-=20;}
                  if ((buildings[i2].gruppe==2)&&(buildings[i2].building==0))
                    {energieUsed2-=5;}
                  if ((buildings[i2].gruppe==2)&&(buildings[i2].building==1))
                    {energieUsed2-=5;}
                  if ((buildings[i2].gruppe==2)&&(buildings[i2].building==3))
                    {energieUsed2-=3;}
                  if ((buildings[i2].gruppe==2)&&(buildings[i2].building==4))
                    {energieUsed2-=5;}
                  if ((buildings[i2].gruppe==2)&&(buildings[i2].building==5))
                    {energieUsed2-=10;}
                  if ((buildings[i2].gruppe==2)&&(buildings[i2].building==6))
                    {energieUsed2-=20;}
                  if (buildings[i2].selected==1)
                    {emit changeLeiste ("none");}
                  
                }
              }
            }
          }
          cars[i].shootVerlauf++;
          if (cars[i].shootVerlauf==cars[i].shootFreq)
          {
            cars[i].shootVerlauf=0;
            cars[i].shootX=-1;
            cars[i].shootY=-1;
          }
        }
//Berechne Bewegung:
        if (cars[i].verlauf == -1)
        {
// loesche fog in der nhe eines Waagens.
          if ((cars[i].gruppe==1)&&(cars[i].health>0))
          {
            for (int x=0; x<=4; x++)
              for (int y=0; y<=4; y++)
              {
                if ((cars[i].jeepS2y-2+y>=0)
                  &&(cars[i].jeepS2y-2+y<=karteRangeY)
                  &&(cars[i].jeepS2x-2+x>=0)
                  &&(cars[i].jeepS2x-2+x<=karteRangeX))
                {
                  fogKarte [cars[i].jeepS2y-2+y][cars[i].jeepS2x-2+x]=1;
                  fogKarte2 [cars[i].jeepS2y-2+y][cars[i].jeepS2x-2+x]=3;
                }
              }
          }
          cars[i].jeepS1x=cars[i].jeepS2x;
          cars[i].jeepS1y=cars[i].jeepS2y;
          cars[i].jeepS3x=cars[i].jeepS1x;
          cars[i].jeepS3y=cars[i].jeepS1y;
          delete (stepp);
          stepp=new nextStepp (this, "stepp1");
          stepp->feld=baumKarte;
          stepp->speicher=baumKarte;
          stepp->findBest (cars[i].jeepS1y, cars[i].jeepS1x,
                           cars[i].destinationY , cars[i].destinationX);
          cars[i].jeepS2x=stepp->oldX;
          cars[i].jeepS2y=stepp->oldY;
          delete (stepp2);
          stepp2=new nextStepp (this, "stepp2");
          stepp2->feld=baumKarte;
          stepp2->speicher=baumKarte;
          stepp2->findBest (cars[i].jeepS2y, cars[i].jeepS2x,
                  cars[i].destinationY , cars[i].destinationX);
          cars[i].jeepS3x=stepp2->oldX;
          cars[i].jeepS3y=stepp2->oldY;
          cars[i].verlauf++;
          baumKarte [cars[i].jeepS1y][cars[i].jeepS1x]=1;
          if (cars[i].gruppe==1)
          {
            baumKarte [cars[i].jeepS2y][cars[i].jeepS2x]=2;
            baumKarte [cars[i].jeepS1y][cars[i].jeepS1x]=2;
          }
          else
          {
            baumKarte [cars[i].jeepS2y][cars[i].jeepS2x]=3;
            baumKarte [cars[i].jeepS1y][cars[i].jeepS1x]=3;
          }
          if (cars[i].verlauf >= square-4)
          {
            baumKarte [cars[i].jeepS1y][cars[i].jeepS1x]=1;
          }
          if ((cars[i].jeepS1x==cars[i].jeepS2x)
             &&(cars[i].jeepS1y==cars[i].jeepS2y))
            {cars[i].verlauf=-1;}
        }
        if (cars[i].verlauf >= square-4)
        {
          baumKarte [cars[i].jeepS1y][cars[i].jeepS1x]=1;
        }
        if (cars[i].verlauf != -1)
        {
// loesche fog in der nhe eines Waagens.
          if ((cars[i].gruppe==1)&&(cars[i].health>0))
          {
            for (int x=0; x<=4; x++)
              for (int y=0; y<=4; y++)
              {
                if ((cars[i].jeepS2y-2+y>=0)
                  &&(cars[i].jeepS2y-2+y<=karteRangeY)
                  &&(cars[i].jeepS2x-2+x>=0)
                  &&(cars[i].jeepS2x-2+x<=karteRangeX))
                  {
                    fogKarte [cars[i].jeepS2y-2+y][cars[i].jeepS2x-2+x]=1;
                    fogKarte2 [cars[i].jeepS2y-2+y][cars[i].jeepS2x-2+x]=3;
                  }
              }
          }
          cars[i].rJeep=QRect (cars[i].jeepS1x*square, 
                               cars[i].jeepS1y*square,
                               square, square);
          if (cars[i].jeepS1x<cars[i].jeepS2x)
          {
            cars[i].jeepX=cars[i].jeepS1x*square+cars[i].verlauf;
          }
          if (cars[i].jeepS1x>cars[i].jeepS2x)
          {
            cars[i].jeepX=cars[i].jeepS1x*square-cars[i].verlauf;
          }
          if (cars[i].jeepS1y<cars[i].jeepS2y)
          {
            cars[i].jeepY=cars[i].jeepS1y*square+cars[i].verlauf;
          }
          if (cars[i].jeepS1y>cars[i].jeepS2y)
          {
            cars[i].jeepY=cars[i].jeepS1y*square-cars[i].verlauf;
          }
          if (cars[i].jeepS1x==cars[i].jeepS2x)
          {
            cars[i].jeepX=cars[i].jeepS2x*square;
          }
          if (cars[i].jeepS1y==cars[i].jeepS2y)
          {
            cars[i].jeepY=cars[i].jeepS1y*square;
          }
          cars[i].rJeep2= QRect (cars[i].jeepX, cars[i].jeepY,square,square);
          cars[i].verlauf+=cars[i].stepps;
//Ausrichtung:
//nach unten:
          if ((cars[i].jeepS1x==cars[i].jeepS2x)
             &&(cars[i].jeepS1y==cars[i].jeepS2y-1))
            {cars[i].pic=10;}
//nach oben:
          if ((cars[i].jeepS1x==cars[i].jeepS2x)
             &&(cars[i].jeepS1y==cars[i].jeepS2y+1))
            {cars[i].pic=30;}
//nach rechts:
          if ((cars[i].jeepS1x==cars[i].jeepS2x-1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y))
            {cars[i].pic=20;}
//nach links:
          if ((cars[i].jeepS1x==cars[i].jeepS2x+1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y))
            {cars[i].pic=40;}
//sued-ost:
          if ((cars[i].jeepS1x==cars[i].jeepS2x-1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y-1))
            {cars[i].pic=15;}
//sued-west:
          if ((cars[i].jeepS1x==cars[i].jeepS2x+1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y-1))
            {cars[i].pic=5;}
//nord-ost:
          if ((cars[i].jeepS1x==cars[i].jeepS2x-1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y+1))
            {cars[i].pic=25;}
//nord-west:
          if ((cars[i].jeepS1x==cars[i].jeepS2x+1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y+1))
            {cars[i].pic=35;}

//Drehung 90 im math. Sinn:

          if ((cars[i].jeepS1x==cars[i].jeepS2x+1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y)
             &&(cars[i].jeepS2x==cars[i].jeepS3x)
             &&(cars[i].jeepS2y==cars[i].jeepS3y-1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=10;}
            if (cars[i].verlauf==59)
              {cars[i].pic=9;}
            if (cars[i].verlauf==58)
              {cars[i].pic=8;}
            if (cars[i].verlauf==57)
             {cars[i].pic=7;}
            if (cars[i].verlauf==56)
              {cars[i].pic=6;}
            if (cars[i].verlauf==55)
              {cars[i].pic=5;}
            if (cars[i].verlauf==54)
              {cars[i].pic=4;}
            if (cars[i].verlauf==53)
              {cars[i].pic=3;}
            if (cars[i].verlauf==52)
              {cars[i].pic=2;}
            if (cars[i].verlauf==51)
              {cars[i].pic=1;}
            if (cars[i].verlauf==50)
              {cars[i].pic=0;}
          }
//Drehung "180" im math. Sinn:
          if ((cars[i].jeepS1x==cars[i].jeepS2x)
             &&(cars[i].jeepS1y==cars[i].jeepS2y-1)
             &&(cars[i].jeepS2x==cars[i].jeepS3x-1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=20;}
            if (cars[i].verlauf==59)
              {cars[i].pic=19;}
            if (cars[i].verlauf==58)
              {cars[i].pic=18;}
            if (cars[i].verlauf==57)
              {cars[i].pic=17;}
            if (cars[i].verlauf==56)
              {cars[i].pic=16;}
            if (cars[i].verlauf==55)
              {cars[i].pic=15;}
            if (cars[i].verlauf==54)
              {cars[i].pic=14;}
            if (cars[i].verlauf==53)
              {cars[i].pic=13;}
            if (cars[i].verlauf==52)
              {cars[i].pic=12;}
            if (cars[i].verlauf==51)
              {cars[i].pic=11;}
          }
//Drehung "270" im math. Sinn:
          if ((cars[i].jeepS1x==cars[i].jeepS2x-1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y)
             &&(cars[i].jeepS2x==cars[i].jeepS3x)
             &&(cars[i].jeepS2y==cars[i].jeepS3y+1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=30;}
            if (cars[i].verlauf==59)
              {cars[i].pic=29;}
            if (cars[i].verlauf==58)
              {cars[i].pic=28;}
            if (cars[i].verlauf==57)
              {cars[i].pic=27;}
            if (cars[i].verlauf==56)
              {cars[i].pic=26;}
            if (cars[i].verlauf==55)
              {cars[i].pic=25;}
            if (cars[i].verlauf==54)
              {cars[i].pic=24;}
            if (cars[i].verlauf==53)
             {cars[i].pic=23;}
            if (cars[i].verlauf==52)
             {cars[i].pic=22;}
            if (cars[i].verlauf==51)
             {cars[i].pic=21;}
          }

// |1| |3|
// | |2| |
// | | | |

          if ((cars[i].jeepS1x==cars[i].jeepS2x-1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y-1)
             &&(cars[i].jeepS2x==cars[i].jeepS3x-1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y+1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=25;}
            if (cars[i].verlauf==59)
              {cars[i].pic=24;}
            if (cars[i].verlauf==58)
              {cars[i].pic=23;}
            if (cars[i].verlauf==57)
              {cars[i].pic=22;}
            if (cars[i].verlauf==56)
              {cars[i].pic=21;}
            if (cars[i].verlauf==55)
              {cars[i].pic=20;}
            if (cars[i].verlauf==54)
              {cars[i].pic=19;}
            if (cars[i].verlauf==53)
             {cars[i].pic=18;}
            if (cars[i].verlauf==52)
             {cars[i].pic=17;}
            if (cars[i].verlauf==51)
             {cars[i].pic=16;}
            if (cars[i].verlauf==50)
             {cars[i].pic=15;}
          }

// |3| |1|
// | |2| |
// | | | |

          if ((cars[i].jeepS1x==cars[i].jeepS2x+1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y-1)
             &&(cars[i].jeepS2x==cars[i].jeepS3x+1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y+1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=35;}
            if (cars[i].verlauf==59)
              {cars[i].pic=36;}
            if (cars[i].verlauf==58)
              {cars[i].pic=37;}
            if (cars[i].verlauf==57)
              {cars[i].pic=38;}
            if (cars[i].verlauf==56)
              {cars[i].pic=39;}
            if (cars[i].verlauf==55)
              {cars[i].pic=0;}
            if (cars[i].verlauf==54)
              {cars[i].pic=1;}
            if (cars[i].verlauf==53)
             {cars[i].pic=2;}
            if (cars[i].verlauf==52)
             {cars[i].pic=3;}
            if (cars[i].verlauf==51)
             {cars[i].pic=4;}
            if (cars[i].verlauf==50)
             {cars[i].pic=5;}
          }

// |1| | |
// | |2| |
// |3| | |

          if ((cars[i].jeepS1x==cars[i].jeepS2x-1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y-1)
             &&(cars[i].jeepS2x==cars[i].jeepS3x+1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y-1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=5;}
            if (cars[i].verlauf==59)
              {cars[i].pic=6;}
            if (cars[i].verlauf==58)
              {cars[i].pic=7;}
            if (cars[i].verlauf==57)
              {cars[i].pic=8;}
            if (cars[i].verlauf==56)
              {cars[i].pic=9;}
            if (cars[i].verlauf==55)
              {cars[i].pic=10;}
            if (cars[i].verlauf==54)
              {cars[i].pic=11;}
            if (cars[i].verlauf==53)
             {cars[i].pic=12;}
            if (cars[i].verlauf==52)
             {cars[i].pic=13;}
            if (cars[i].verlauf==51)
             {cars[i].pic=14;}
            if (cars[i].verlauf==50)
             {cars[i].pic=15;}
          }

// |3| | |
// | |2| |
// |1| | |

          if ((cars[i].jeepS1x==cars[i].jeepS2x-1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y+1)
             &&(cars[i].jeepS2x==cars[i].jeepS3x+1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y+1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=35;}
            if (cars[i].verlauf==59)
              {cars[i].pic=34;}
            if (cars[i].verlauf==58)
              {cars[i].pic=33;}
            if (cars[i].verlauf==57)
              {cars[i].pic=32;}
            if (cars[i].verlauf==56)
              {cars[i].pic=31;}
            if (cars[i].verlauf==55)
              {cars[i].pic=30;}
            if (cars[i].verlauf==54)
              {cars[i].pic=29;}
            if (cars[i].verlauf==53)
             {cars[i].pic=28;}
            if (cars[i].verlauf==52)
             {cars[i].pic=27;}
            if (cars[i].verlauf==51)
             {cars[i].pic=26;}
            if (cars[i].verlauf==50)
             {cars[i].pic=25;}
          }

// | | | |
// | |2| |
// |3| |1|

          if ((cars[i].jeepS1x==cars[i].jeepS2x+1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y+1)
             &&(cars[i].jeepS2x==cars[i].jeepS3x+1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y-1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=5;}
            if (cars[i].verlauf==59)
              {cars[i].pic=4;}
            if (cars[i].verlauf==58)
              {cars[i].pic=3;}
            if (cars[i].verlauf==57)
              {cars[i].pic=2;}
            if (cars[i].verlauf==56)
              {cars[i].pic=1;}
            if (cars[i].verlauf==55)
              {cars[i].pic=40;}
            if (cars[i].verlauf==54)
              {cars[i].pic=39;}
            if (cars[i].verlauf==53)
             {cars[i].pic=38;}
            if (cars[i].verlauf==52)
             {cars[i].pic=37;}
            if (cars[i].verlauf==51)
             {cars[i].pic=36;}
            if (cars[i].verlauf==50)
             {cars[i].pic=35;}
          }

// | | |1|
// | |2| |
// | | |3|

          if ((cars[i].jeepS1x==cars[i].jeepS2x+1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y-1)
             &&(cars[i].jeepS2x==cars[i].jeepS3x-1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y-1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=15;}
            if (cars[i].verlauf==59)
              {cars[i].pic=14;}
            if (cars[i].verlauf==58)
              {cars[i].pic=13;}
            if (cars[i].verlauf==57)
              {cars[i].pic=12;}
            if (cars[i].verlauf==56)
              {cars[i].pic=11;}
            if (cars[i].verlauf==55)
              {cars[i].pic=10;}
            if (cars[i].verlauf==54)
              {cars[i].pic=9;}
            if (cars[i].verlauf==53)
             {cars[i].pic=8;}
            if (cars[i].verlauf==52)
             {cars[i].pic=7;}
            if (cars[i].verlauf==51)
             {cars[i].pic=6;}
            if (cars[i].verlauf==50)
             {cars[i].pic=5;}
          }

// | | |3|
// | |2| |
// | | |1|

          if ((cars[i].jeepS1x==cars[i].jeepS2x-1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y+1)
             &&(cars[i].jeepS2x==cars[i].jeepS3x-1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y+1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=25;}
            if (cars[i].verlauf==59)
              {cars[i].pic=26;}
            if (cars[i].verlauf==58)
              {cars[i].pic=27;}
            if (cars[i].verlauf==57)
              {cars[i].pic=28;}
            if (cars[i].verlauf==56)
              {cars[i].pic=29;}
            if (cars[i].verlauf==55)
              {cars[i].pic=30;}
            if (cars[i].verlauf==54)
              {cars[i].pic=31;}
            if (cars[i].verlauf==53)
             {cars[i].pic=32;}
            if (cars[i].verlauf==52)
             {cars[i].pic=33;}
            if (cars[i].verlauf==51)
             {cars[i].pic=34;}
            if (cars[i].verlauf==50)
             {cars[i].pic=35;}
          }


//Drehung "360" im math. Sinn:

          if ((cars[i].jeepS1x==cars[i].jeepS2x)
             &&(cars[i].jeepS1y==cars[i].jeepS2y+1)
             &&(cars[i].jeepS2x==cars[i].jeepS3x+1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=40;}
            if (cars[i].verlauf==59)
              {cars[i].pic=39;}
            if (cars[i].verlauf==58)
              {cars[i].pic=38;}
            if (cars[i].verlauf==57)
              {cars[i].pic=37;}
            if (cars[i].verlauf==56)
              {cars[i].pic=36;}
            if (cars[i].verlauf==55)
              {cars[i].pic=35;}
            if (cars[i].verlauf==54)
              {cars[i].pic=34;}
            if (cars[i].verlauf==53)
              {cars[i].pic=33;}
            if (cars[i].verlauf==52)
              {cars[i].pic=32;}
            if (cars[i].verlauf==51)
              {cars[i].pic=31;}
          }
//Drehung "90" gegen math. Sinn:

          if ((cars[i].jeepS1x==cars[i].jeepS2x-1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y)
             &&(cars[i].jeepS2x==cars[i].jeepS3x)
             &&(cars[i].jeepS2y==cars[i].jeepS3y-1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=10;}
            if (cars[i].verlauf==59)
              {cars[i].pic=11;}
            if (cars[i].verlauf==58)
              {cars[i].pic=12;}
            if (cars[i].verlauf==57)
              {cars[i].pic=13;}
            if (cars[i].verlauf==56)
              {cars[i].pic=14;}
            if (cars[i].verlauf==55)
              {cars[i].pic=15;}
            if (cars[i].verlauf==54)
              {cars[i].pic=16;}
            if (cars[i].verlauf==53)
              {cars[i].pic=17;}
            if (cars[i].verlauf==52)
              {cars[i].pic=18;}
            if (cars[i].verlauf==51)
              {cars[i].pic=19;}
          }

//  |1|2| |
//  | | |3|

          if ((cars[i].jeepS1x==cars[i].jeepS2x-1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y)
             &&(cars[i].jeepS2x==cars[i].jeepS3x-1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y-1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=15;}
            if (cars[i].verlauf==59)
              {cars[i].pic=16;}
            if (cars[i].verlauf==58)
              {cars[i].pic=17;}
            if (cars[i].verlauf==57)
              {cars[i].pic=18;}
            if (cars[i].verlauf==56)
              {cars[i].pic=19;}
            if (cars[i].verlauf==55)
              {cars[i].pic=20;}
          }

//  | | |3|
//  |1|2| |

          if ((cars[i].jeepS1x==cars[i].jeepS2x-1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y)
             &&(cars[i].jeepS2x==cars[i].jeepS3x-1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y+1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=55;}
            if (cars[i].verlauf==59)
              {cars[i].pic=24;}
            if (cars[i].verlauf==58)
              {cars[i].pic=23;}
            if (cars[i].verlauf==57)
              {cars[i].pic=22;}
            if (cars[i].verlauf==56)
              {cars[i].pic=21;}
            if (cars[i].verlauf==55)
              {cars[i].pic=20;}
          }

//  |3| | |
//  | |2|1|


          if ((cars[i].jeepS1x==cars[i].jeepS2x+1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y)
             &&(cars[i].jeepS2x==cars[i].jeepS3x+1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y+1))
          {
            if (cars[i].verlauf==35)
              {cars[i].pic=55;}
            if (cars[i].verlauf==36)
              {cars[i].pic=24;}
            if (cars[i].verlauf==37)
              {cars[i].pic=23;}
            if (cars[i].verlauf==38)
              {cars[i].pic=22;}
            if (cars[i].verlauf==39)
              {cars[i].pic=21;}
            if (cars[i].verlauf==40)
              {cars[i].pic=20;}
          }

//  | |2|1|
//  |3| | |

          if ((cars[i].jeepS1x==cars[i].jeepS2x+1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y)
             &&(cars[i].jeepS2x==cars[i].jeepS3x+1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y-1))
          {
            if (cars[i].verlauf==5)
              {cars[i].pic=55;}
            if (cars[i].verlauf==4)
              {cars[i].pic=24;}
            if (cars[i].verlauf==3)
              {cars[i].pic=23;}
            if (cars[i].verlauf==2)
              {cars[i].pic=22;}
            if (cars[i].verlauf==1)
              {cars[i].pic=21;}
            if (cars[i].verlauf==0)
              {cars[i].pic=20;}
          }

//Drehung "180" gegen math. Sinn:

          if ((cars[i].jeepS1x==cars[i].jeepS2x)
             &&(cars[i].jeepS1y==cars[i].jeepS2y-1)
             &&(cars[i].jeepS2x==cars[i].jeepS3x+1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=0;}
            if (cars[i].verlauf==59)
              {cars[i].pic=1;}
            if (cars[i].verlauf==58)
              {cars[i].pic=2;}
            if (cars[i].verlauf==57)
              {cars[i].pic=3;}
            if (cars[i].verlauf==56)
              {cars[i].pic=4;}
            if (cars[i].verlauf==55)
              {cars[i].pic=5;}
            if (cars[i].verlauf==54)
              {cars[i].pic=6;}
            if (cars[i].verlauf==53)
              {cars[i].pic=7;}
            if (cars[i].verlauf==52)
              {cars[i].pic=8;}
            if (cars[i].verlauf==51)
              {cars[i].pic=9;}
          }

//Drehung "270" gegen math. Sinn:

          if ((cars[i].jeepS1x==cars[i].jeepS2x+1)
             &&(cars[i].jeepS1y==cars[i].jeepS2y)
             &&(cars[i].jeepS2x==cars[i].jeepS3x)
             &&(cars[i].jeepS2y==cars[i].jeepS3y+1))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=30;}
            if (cars[i].verlauf==59)
              {cars[i].pic=31;}
            if (cars[i].verlauf==58)
              {cars[i].pic=32;}
            if (cars[i].verlauf==57)
              {cars[i].pic=33;}
            if (cars[i].verlauf==56)
              {cars[i].pic=34;}
            if (cars[i].verlauf==55)
              {cars[i].pic=35;}
            if (cars[i].verlauf==54)
              {cars[i].pic=36;}
            if (cars[i].verlauf==53)
              {cars[i].pic=37;}
            if (cars[i].verlauf==52)
              {cars[i].pic=38;}
            if (cars[i].verlauf==51)
              {cars[i].pic=39;}
          }

//Drehung "360" gegen math. Sinn:

          if ((cars[i].jeepS1x==cars[i].jeepS2x)
             &&(cars[i].jeepS1y==cars[i].jeepS2y+1)
             &&(cars[i].jeepS2x==cars[i].jeepS3x-1)
             &&(cars[i].jeepS2y==cars[i].jeepS3y))
          {
            if (cars[i].verlauf==60)
              {cars[i].pic=20;}
            if (cars[i].verlauf==59)
              {cars[i].pic=21;}
            if (cars[i].verlauf==58)
              {cars[i].pic=22;}
            if (cars[i].verlauf==57)
              {cars[i].pic=23;}
            if (cars[i].verlauf==56)
              {cars[i].pic=24;}
            if (cars[i].verlauf==55)
              {cars[i].pic=25;}
            if (cars[i].verlauf==54)
              {cars[i].pic=26;}
            if (cars[i].verlauf==53)
              {cars[i].pic=27;}
            if (cars[i].verlauf==52)
              {cars[i].pic=28;}
            if (cars[i].verlauf==51)
              {cars[i].pic=29;}
          }
          if (cars[i].verlauf >= square)
            {cars[i].verlauf=-1;}
        }
      }
    }
//Male Minikarte
    mKarte.karte=baumKarte;
    mKarte.fog2=fogKarte2;
    mKarte.fog=fogKarte;
    mKarte.windowX=karteX/square;
    mKarte.windowY=karteY/square;
    emit refreshMiniKarte (mKarte);
    repaint (FALSE);
  }

    PicLoad::PicLoad(QWidget *parent=0, const char *name=0,
                    QString localPfad="")
            : QWidget (parent, name)
    {
        picPfad=localPfad+"/pic";
        maxKarteY=1060+25*60;
        kBreite=8;
        kHoehe=7;
        geschw=10;
        carsAngriff2=0;
        maxKarteX=1060+25*60;    
        stepp=new nextStepp (this, "stepp1");
        stepp->setGeometry (0,0,0,0);
        stepp2=new nextStepp (this, "stepp2");
        stepp2->setGeometry (0,0,0,0);
        timer=new QTimer (this);
        connect (timer, SIGNAL(timeout()),SLOT(animate()));
        timer->start(geschw);
        autoSave=1;

        pm.load(picPfad+"/grass6.gif");
        baum1.load(picPfad+"/Baum2561.gif");
        baum2.load(picPfad+"/Baum2562.gif");
        baum3.load(picPfad+"/baum3.gif",0);
        stone.load(picPfad+"/stone2.gif");
        stone2.load(picPfad+"/stone3.gif");
        stone3.load(picPfad+"/stone5.gif");
        pCarprod.load(picPfad+"/carprod.gif");
        pZentrale.load(picPfad+"/zentrale.gif");
        pEnergie.load(picPfad+"/energie.gif");
        pCannon.load(picPfad+"/cannon.gif");
        navPic.load(picPfad+"/arrow.gif");
        pSchwarz.load(picPfad+"/black.gif");
        pGrau.load(picPfad+"/fog.gif");
        pRadar.load(picPfad+"/radar.gif");
        pSci.load(picPfad+"/sci.gif");
        pCannon2.load(picPfad+"/cannon2.gif");
        shoot1.load(picPfad+"/shoot1.gif");
        shoot2.load(picPfad+"/shoot2.gif");
        shoots[0].load(picPfad+"/shoot3.gif");
        shoots[1].load(picPfad+"/shoot4.gif");
        shoots[2].load(picPfad+"/shoot5.gif");
        shoots[3].load(picPfad+"/shoot6.gif");
        shoots[4].load(picPfad+"/shoot7.gif");

        r2= QRect (0,0,10,10);
        infoString="";
        mCounter=-1;
        karteX=0;
        karteY=0;
        crossScrolling=60;
        crossRising=10;
        selScrolling=30;
        selRising=20;
        for (int i=0; i<=(maxBuildings-1); i++)
        {
          buildings[i].selected=0;
          buildings[i].health=0;
        }
        for (int i=0; i<=(maxCars-1); i++)
        {
          cars[i].jeep.load(picPfad+"/pa9000.gif");
          cars[i].jeepX=i*square;
          cars[i].jeepY=0;
          cars[i].selected=0;
          cars[i].destinationX=0;
          cars[i].destinationY=i;
          cars[i].jeepS1x=i;
          cars[i].jeepS1y=0;
          cars[i].jeepS2x=i;
          cars[i].jeepS2y=0;
          cars[i].verlauf=-1;
          cars[i].health=0;
          cars[i].power=5;
          cars[i].shootVerlauf=0;
          cars[i].shootX=-1;
          cars[i].shootY=-1;
          cars[i].wache=0;
          cars[i].gruppe=i%2;
          cars[i].shootFreq=20;
        }
        buildings[0].selected=1;
        buildings[0].gruppe=1;
        buildings[0].ortX=4;
        buildings[0].ortY=0;
        buildings[0].building=0;
        buildings[0].health=118;
        buildings[0].bWidth=120;

        buildings[1].selected=0;
        buildings[1].gruppe=2;
        buildings[1].ortX=4;
        buildings[1].ortY=10;
        buildings[1].building=2;
        buildings[1].health=58;
        buildings[1].bWidth=60;

        buildings[2].selected=0;
        buildings[2].gruppe=2;
        buildings[2].ortX=7;
        buildings[2].ortY=8;
        buildings[2].building=3;
        buildings[2].health=58;
        buildings[2].bWidth=60;
        buildings[2].shootX=-1;
        buildings[2].shootY=-1;
        buildings[2].shootFreq=15;
        buildings[2].power=5;
        buildings[2].shootVerlauf=0;

        buildings[3].selected=0;
        buildings[3].gruppe=2;
        buildings[3].ortX=7;
        buildings[3].ortY=6;
        buildings[3].building=4;
        buildings[3].health=58;
        buildings[3].bWidth=60;
        buildings[3].shootX=-1;
        buildings[3].shootY=-1;
        buildings[3].shootFreq=20;
        buildings[3].power=20;
        buildings[3].shootVerlauf=0;

        buildings[4].selected=0;
        buildings[4].gruppe=2;
        buildings[4].ortX=2;
        buildings[4].ortY=6;
        buildings[4].building=3;
        buildings[4].health=58;
        buildings[4].bWidth=60;
        buildings[4].shootX=-1;
        buildings[4].shootY=-1;
        buildings[4].shootFreq=15;
        buildings[4].power=5;
        buildings[4].shootVerlauf=0;

        buildings[5]=buildings[4];
        buildings[5].ortX=40;
        buildings[5].ortY=40;

        buildings[6]=buildings[4];
        buildings[6].ortX=49;
        buildings[6].ortY=40;

        buildings[7]=buildings[4];
        buildings[7].ortX=30;
        buildings[7].ortY=40;

        buildings[8]=buildings[3];
        buildings[8].ortX=45;
        buildings[8].ortY=40;

        buildings[9]=buildings[3];
        buildings[9].ortX=35;
        buildings[9].ortY=40;

        buildings[10]=buildings[3];
        buildings[10].ortX=25;
        buildings[10].ortY=40;

        buildings[11]=buildings[1];
        buildings[11].ortX=27;
        buildings[11].ortY=49;

        buildings[12]=buildings[1];
        buildings[12].ortX=29;
        buildings[12].ortY=49;

        buildings[13]=buildings[1];
        buildings[13].ortX=31;
        buildings[13].ortY=49;

        buildings[14]=buildings[1];
        buildings[14].ortX=33;
        buildings[14].ortY=49;

        buildings[15]=buildings[1];
        buildings[15].ortX=35;
        buildings[15].ortY=49;

        buildings[16]=buildings[1];
        buildings[16].ortX=37;
        buildings[16].ortY=49;

        buildings[17]=buildings[1];
        buildings[17].ortX=39;
        buildings[17].ortY=49;

        buildings[18]=buildings[1];
        buildings[18].ortX=41;
        buildings[18].ortY=49;

        buildings[19]=buildings[1];
        buildings[19].ortX=42;
        buildings[19].ortY=49;

        buildings[20].selected=0;
        buildings[20].gruppe=2;
        buildings[20].ortX=20;
        buildings[20].ortY=20;
        buildings[20].building=5;
        buildings[20].health=58;
        buildings[20].bWidth=60;

        buildings[21]=buildings[20];
        buildings[21].ortX=20;
        buildings[21].ortY=40;

        buildings[22]=buildings[20];
        buildings[22].ortX=40;
        buildings[22].ortY=20;

        buildings[23]=buildings[20];
        buildings[23].ortX=40;
        buildings[23].ortY=40;

        buildings[24].selected=0;
        buildings[24].gruppe=2;
        buildings[24].ortX=20;
        buildings[24].ortY=43;
        buildings[24].building=0;
        buildings[24].health=118;
        buildings[24].bWidth=120;

        buildings[25]=buildings[24];
        buildings[25].ortX=45;
        buildings[25].ortY=43;

        buildings[26]=buildings[24];
        buildings[26].ortX=35;
        buildings[26].ortY=43;

        buildings[27]=buildings[24];
        buildings[27].ortX=25;
        buildings[27].ortY=43;

        buildings[28].selected=0;
        buildings[28].gruppe=2;
        buildings[28].ortX=20;
        buildings[28].ortY=47;
        buildings[28].building=6;
        buildings[28].health=118;
        buildings[28].bWidth=120;

        buildings[29]=buildings[28];
        buildings[29].ortX=45;
        buildings[29].ortY=47;

        buildings[30]=buildings[28];
        buildings[30].ortX=35;
        buildings[30].ortY=47;

        buildings[31]=buildings[28];
        buildings[31].ortX=25;
        buildings[31].ortY=47;
       
/*        if (num==2)
        {
          buildings[32].selected=0;
          buildings[32].gruppe=2;
          buildings[32].ortX=20;
          buildings[32].ortY=47;
          buildings[32].building=1;
          buildings[32].health=118;
          buildings[32].bWidth=120;

          buildings[33]=buildings[32];
          buildings[33].ortX=30;
          buildings[33].ortY=45;

          buildings[34]=buildings[32];
          buildings[34].ortX=40;
          buildings[34].ortY=45;
        }*/
        rMouse=QRect (xOld*square, yOld*square, square, square);
        rMouse=QRect (0,0,10,10);
        setMouseTracking (TRUE);
        selectCounter=-1;
        saveCounter=0;
        rMouseW=square;
        unselected=0;
        difficulty=5;
        bidCounter=1;
        cidCounter=1;
        building=-1;
        carCount2=0;
        carsSend2=0;
        autoOn=1;
        bselected=0;
        energie=100000;
        energie2=10000;
        addEnergie=0;
        addEnergie2=10;
        energieUsed=0;
        energieUsed2=0;
        steuerUsed=0;
        steuerUsed2=0;
        steuerCars=0;
        steuerCars2=0;
        emit changeEnergie (energie);
        az=0;
        selRx1=-1;
        selRy1=-1;
//        rand=0;
        mPressed=0;
        pressedSec=0;
        autoScroll=0;
        autoMoveKarteX=0;
        autoMoveKarteY=0;

        movSci [0].load(picPfad+"/Sci00003.gif");
        movSci [1].load(picPfad+"/Sci00006.gif");
        movSci [2].load(picPfad+"/Sci00009.gif");
        movSci [3].load(picPfad+"/Sci00012.gif");
        movSci [4].load(picPfad+"/Sci00015.gif");
        movSci [5].load(picPfad+"/Sci00018.gif");
        movSci [6].load(picPfad+"/Sci00021.gif");
        movSci [7].load(picPfad+"/Sci00024.gif");
        movSci [8].load(picPfad+"/Sci00027.gif");
        movSci [9].load(picPfad+"/Sci00000.gif");

        movZen [0].load(picPfad+"/Zenclear.gif");
        movZen [2].load(picPfad+"/Zenr1.gif");
        movZen [4].load(picPfad+"/Zenr2.gif");
        movZen [6].load(picPfad+"/Zenr3.gif");
        movZen [8].load(picPfad+"/Zenr4.gif");
        movZen [1].load(picPfad+"/Zenclear.gif");
        movZen [3].load(picPfad+"/Zenr1.gif");
        movZen [5].load(picPfad+"/Zenr2.gif");
        movZen [7].load(picPfad+"/Zenr3.gif");
        movZen [9].load(picPfad+"/Zenr4.gif");

        movSte [0].load(picPfad+"/steuer1.gif");
        movSte [2].load(picPfad+"/steuer2.gif");
        movSte [4].load(picPfad+"/Steuer3.gif");
        movSte [6].load(picPfad+"/steuer4.gif");
        movSte [8].load(picPfad+"/steuer5.gif");
        movSte [1].load(picPfad+"/steuer1.gif");
        movSte [3].load(picPfad+"/steuer2.gif");
        movSte [5].load(picPfad+"/Steuer3.gif");
        movSte [7].load(picPfad+"/steuer4.gif");
        movSte [9].load(picPfad+"/steuer5.gif");

        movEn2 [0].load(picPfad+"/e20000.gif");
        movEn2 [1].load(picPfad+"/e20001.gif");
        movEn2 [2].load(picPfad+"/e20002.gif");
        movEn2 [3].load(picPfad+"/e20003.gif");
        movEn2 [4].load(picPfad+"/e20004.gif");
        movEn2 [5].load(picPfad+"/e20005.gif");
        movEn2 [6].load(picPfad+"/e20006.gif");
        movEn2 [7].load(picPfad+"/e20007.gif");
        movEn2 [8].load(picPfad+"/e20008.gif");
        movEn2 [9].load(picPfad+"/e20009.gif");

        movCan2 [0].load(picPfad+"/c20000.gif");
        movCan2 [1].load(picPfad+"/c20001.gif");
        movCan2 [2].load(picPfad+"/c20002.gif");
        movCan2 [3].load(picPfad+"/c20003.gif");
        movCan2 [4].load(picPfad+"/c20004.gif");
        movCan2 [5].load(picPfad+"/c20005.gif");
        movCan2 [6].load(picPfad+"/c20006.gif");
        movCan2 [7].load(picPfad+"/c20007.gif");
        movCan2 [8].load(picPfad+"/c20008.gif");
        movCan2 [9].load(picPfad+"/c20009.gif");

        movRadar [0].load(picPfad+"/Rada0001.gif");
        movRadar [1].load(picPfad+"/Rada0002.gif");
        movRadar [2].load(picPfad+"/Rada0003.gif");
        movRadar [3].load(picPfad+"/Rada0004.gif");
        movRadar [4].load(picPfad+"/Rada0005.gif");
        movRadar [5].load(picPfad+"/Rada0006.gif");
        movRadar [6].load(picPfad+"/Rada0007.gif");
        movRadar [7].load(picPfad+"/Rada0008.gif");
        movRadar [8].load(picPfad+"/Rada0009.gif");
        movRadar [9].load(picPfad+"/Rada0000.gif");

        pwasser [0].load(picPfad+"/wasser.gif");
        pwasser [1].load(picPfad+"/grassw1.gif");
        pwasser [2].load(picPfad+"/grassw2.gif");
        pwasser [3].load(picPfad+"/grassw3.gif");
        pwasser [4].load(picPfad+"/grassw4.gif");
        pwasser [5].load(picPfad+"/grassw5.gif");
        pwasser [6].load(picPfad+"/grassw6.gif");
        pwasser [7].load(picPfad+"/grassw7.gif");
        pwasser [8].load(picPfad+"/grassw8.gif");
        pwasser [9].load(picPfad+"/grassw9.gif");
        pwasser [10].load(picPfad+"/grassw10.gif");
        pwasser [11].load(picPfad+"/grassw11.gif");
        pwasser [12].load(picPfad+"/grassw12.gif");

        pan [0].load(picPfad+"/pa00.gif");
        pan [1].load(picPfad+"/pa01.gif");
        pan [2].load(picPfad+"/pa02.gif");
        pan [3].load(picPfad+"/pa03.gif");
        pan [4].load(picPfad+"/pa04.gif");
        pan [5].load(picPfad+"/pa05.gif");
        pan [6].load(picPfad+"/pa06.gif");
        pan [7].load(picPfad+"/pa07.gif");
        pan [8].load(picPfad+"/pa08.gif");
        pan [9].load(picPfad+"/pa09.gif");
        pan [10].load(picPfad+"/pa10.gif");
        pan [11].load(picPfad+"/pa11.gif");
        pan [12].load(picPfad+"/pa12.gif");
        pan [13].load(picPfad+"/pa13.gif");
        pan [14].load(picPfad+"/pa14.gif");
        pan [15].load(picPfad+"/pa15.gif");
        pan [16].load(picPfad+"/pa16.gif");
        pan [17].load(picPfad+"/pa17.gif");
        pan [18].load(picPfad+"/pa18.gif");
        pan [19].load(picPfad+"/pa19.gif");
        pan [20].load(picPfad+"/pa20.gif");
        pan [21].load(picPfad+"/pa21.gif");
        pan [22].load(picPfad+"/pa22.gif");
        pan [23].load(picPfad+"/pa23.gif");
        pan [24].load(picPfad+"/pa24.gif");
        pan [25].load(picPfad+"/pa25.gif");
        pan [26].load(picPfad+"/pa26.gif");
        pan [27].load(picPfad+"/pa27.gif");
        pan [28].load(picPfad+"/pa28.gif");
        pan [29].load(picPfad+"/pa29.gif");
        pan [30].load(picPfad+"/pa30.gif");
        pan [31].load(picPfad+"/pa31.gif");
        pan [32].load(picPfad+"/pa32.gif");
        pan [33].load(picPfad+"/pa33.gif");
        pan [34].load(picPfad+"/pa34.gif");
        pan [35].load(picPfad+"/pa35.gif");
        pan [36].load(picPfad+"/pa36.gif");
        pan [37].load(picPfad+"/pa37.gif");
        pan [38].load(picPfad+"/pa38.gif");
        pan [39].load(picPfad+"/pa39.gif");
        pan [40].load(picPfad+"/pa40.gif");

        pan3 [0].load(picPfad+"/P30000.gif");
        pan3 [1].load(picPfad+"/P30001.gif");
        pan3 [2].load(picPfad+"/P30002.gif");
        pan3 [3].load(picPfad+"/P30003.gif");
        pan3 [4].load(picPfad+"/P30004.gif");
        pan3 [5].load(picPfad+"/P30005.gif");
        pan3 [6].load(picPfad+"/P30006.gif");
        pan3 [7].load(picPfad+"/P30007.gif");
        pan3 [8].load(picPfad+"/P30008.gif");
        pan3 [9].load(picPfad+"/P30009.gif");
        pan3 [10].load(picPfad+"/P30010.gif");
        pan3 [11].load(picPfad+"/P30011.gif");
        pan3 [12].load(picPfad+"/P30012.gif");
        pan3 [13].load(picPfad+"/P30013.gif");
        pan3 [14].load(picPfad+"/P30014.gif");
        pan3 [15].load(picPfad+"/P30015.gif");
        pan3 [16].load(picPfad+"/P30016.gif");
        pan3 [17].load(picPfad+"/P30017.gif");
        pan3 [18].load(picPfad+"/P30018.gif");
        pan3 [19].load(picPfad+"/P30019.gif");
        pan3 [20].load(picPfad+"/P30020.gif");
        pan3 [21].load(picPfad+"/P30021.gif");
        pan3 [22].load(picPfad+"/P30022.gif");
        pan3 [23].load(picPfad+"/P30023.gif");
        pan3 [24].load(picPfad+"/P30024.gif");
        pan3 [25].load(picPfad+"/P30025.gif");
        pan3 [26].load(picPfad+"/P30026.gif");
        pan3 [27].load(picPfad+"/P30027.gif");
        pan3 [28].load(picPfad+"/P30028.gif");
        pan3 [29].load(picPfad+"/P30029.gif");
        pan3 [30].load(picPfad+"/P30030.gif");
        pan3 [31].load(picPfad+"/P30031.gif");
        pan3 [32].load(picPfad+"/P30032.gif");
        pan3 [33].load(picPfad+"/P30033.gif");
        pan3 [34].load(picPfad+"/P30034.gif");
        pan3 [35].load(picPfad+"/P30035.gif");
        pan3 [36].load(picPfad+"/P30036.gif");
        pan3 [37].load(picPfad+"/P30037.gif");
        pan3 [38].load(picPfad+"/P30038.gif");
        pan3 [39].load(picPfad+"/P30039.gif");
        pan3 [40].load(picPfad+"/P30040.gif");

        pan2 [0].load(picPfad+"/P20000.gif");
        pan2 [1].load(picPfad+"/P20001.gif");
        pan2 [2].load(picPfad+"/P20002.gif");
        pan2 [3].load(picPfad+"/P20003.gif");
        pan2 [4].load(picPfad+"/P20004.gif");
        pan2 [5].load(picPfad+"/P20005.gif");
        pan2 [6].load(picPfad+"/P20006.gif");
        pan2 [7].load(picPfad+"/P20007.gif");
        pan2 [8].load(picPfad+"/P20008.gif");
        pan2 [9].load(picPfad+"/P20009.gif");
        pan2 [10].load(picPfad+"/P20010.gif");
        pan2 [11].load(picPfad+"/P20011.gif");
        pan2 [12].load(picPfad+"/P20012.gif");
        pan2 [13].load(picPfad+"/P20013.gif");
        pan2 [14].load(picPfad+"/P20014.gif");
        pan2 [15].load(picPfad+"/P20015.gif");
        pan2 [16].load(picPfad+"/P20016.gif");
        pan2 [17].load(picPfad+"/P20017.gif");
        pan2 [18].load(picPfad+"/P20018.gif");
        pan2 [19].load(picPfad+"/P20019.gif");
        pan2 [20].load(picPfad+"/P20020.gif");
        pan2 [21].load(picPfad+"/P20021.gif");
        pan2 [22].load(picPfad+"/P20022.gif");
        pan2 [23].load(picPfad+"/P20023.gif");
        pan2 [24].load(picPfad+"/P20024.gif");
        pan2 [25].load(picPfad+"/P20025.gif");
        pan2 [26].load(picPfad+"/P20026.gif");
        pan2 [27].load(picPfad+"/P20027.gif");
        pan2 [28].load(picPfad+"/P20028.gif");
        pan2 [29].load(picPfad+"/P20029.gif");
        pan2 [30].load(picPfad+"/P20030.gif");
        pan2 [31].load(picPfad+"/P20031.gif");
        pan2 [32].load(picPfad+"/P20032.gif");
        pan2 [33].load(picPfad+"/P20033.gif");
        pan2 [34].load(picPfad+"/P20034.gif");
        pan2 [35].load(picPfad+"/P20035.gif");
        pan2 [36].load(picPfad+"/P20036.gif");
        pan2 [37].load(picPfad+"/P20037.gif");
        pan2 [38].load(picPfad+"/P20038.gif");
        pan2 [39].load(picPfad+"/P20039.gif");
        pan2 [40].load(picPfad+"/P20040.gif");


        pan1 [0].load(picPfad+"/J0000.gif");
        pan1 [1].load(picPfad+"/J0001.gif");
        pan1 [2].load(picPfad+"/J0002.gif");
        pan1 [3].load(picPfad+"/J0003.gif");
        pan1 [4].load(picPfad+"/J0004.gif");
        pan1 [5].load(picPfad+"/J0005.gif");
        pan1 [6].load(picPfad+"/J0006.gif");
        pan1 [7].load(picPfad+"/J0007.gif");
        pan1 [8].load(picPfad+"/J0008.gif");
        pan1 [9].load(picPfad+"/J0009.gif");
        pan1 [10].load(picPfad+"/J0010.gif");
        pan1 [11].load(picPfad+"/J0011.gif");
        pan1 [12].load(picPfad+"/J0012.gif");
        pan1 [13].load(picPfad+"/J0013.gif");
        pan1 [14].load(picPfad+"/J0014.gif");
        pan1 [15].load(picPfad+"/J0015.gif");
        pan1 [16].load(picPfad+"/J0016.gif");
        pan1 [17].load(picPfad+"/J0017.gif");
        pan1 [18].load(picPfad+"/J0018.gif");
        pan1 [19].load(picPfad+"/J0019.gif");
        pan1 [20].load(picPfad+"/J0020.gif");
        pan1 [21].load(picPfad+"/J0021.gif");
        pan1 [22].load(picPfad+"/J0022.gif");
        pan1 [23].load(picPfad+"/J0023.gif");
        pan1 [24].load(picPfad+"/J0024.gif");
        pan1 [25].load(picPfad+"/J0025.gif");
        pan1 [26].load(picPfad+"/J0026.gif");
        pan1 [27].load(picPfad+"/J0027.gif");
        pan1 [28].load(picPfad+"/J0028.gif");
        pan1 [29].load(picPfad+"/J0029.gif");
        pan1 [30].load(picPfad+"/J0030.gif");
        pan1 [31].load(picPfad+"/J0031.gif");
        pan1 [32].load(picPfad+"/J0032.gif");
        pan1 [33].load(picPfad+"/J0033.gif");
        pan1 [34].load(picPfad+"/J0034.gif");
        pan1 [35].load(picPfad+"/J0035.gif");
        pan1 [36].load(picPfad+"/J0036.gif");
        pan1 [37].load(picPfad+"/J0037.gif");
        pan1 [38].load(picPfad+"/J0038.gif");
        pan1 [39].load(picPfad+"/J0039.gif");
        pan1 [40].load(picPfad+"/J0040.gif");


int speicher [karteRangeX+1][karteRangeX+1]={
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,0,7,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,6,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,7,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},

{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1}
};
    baumKarte=speicher;
    for (int x=0; x<=karteRangeX;x++)
      for (int y=0; y<=karteRangeY;y++)
         {buildingKarte[y][x]=1;
          fogKarte[y][x]=2;
          fogKarte2[y][x]=2;
          fogKarteSchwarz[y][x]=2;
}
    buildingKarte[buildings[0].ortY][buildings[0].ortX]=100;
    baumKarte[buildings[0].ortY][buildings[0].ortX]=4;
    baumKarte[buildings[0].ortY+1][buildings[0].ortX]=4;
    baumKarte[buildings[0].ortY][buildings[0].ortX+1]=4;
    baumKarte[buildings[0].ortY+1][buildings[0].ortX+1]=4;

//enemy Buildings:

    buildingKarte[buildings[1].ortY][buildings[1].ortX]=102;
    baumKarte[buildings[1].ortY][buildings[1].ortX]=5;

    buildingKarte[buildings[2].ortY][buildings[2].ortX]=103;
    baumKarte[buildings[2].ortY][buildings[2].ortX]=5;

    buildingKarte[buildings[3].ortY][buildings[3].ortX]=104;
    baumKarte[buildings[3].ortY][buildings[3].ortX]=5;
    buildingKarte[buildings[4].ortY][buildings[4].ortX]=103;
    baumKarte[buildings[4].ortY][buildings[4].ortX]=5;
    buildingKarte[buildings[5].ortY][buildings[5].ortX]=103;
    baumKarte[buildings[5].ortY][buildings[5].ortX]=5;
    buildingKarte[buildings[6].ortY][buildings[6].ortX]=103;
    baumKarte[buildings[6].ortY][buildings[6].ortX]=5;
    buildingKarte[buildings[7].ortY][buildings[7].ortX]=103;
    baumKarte[buildings[7].ortY][buildings[7].ortX]=5;
    buildingKarte[buildings[8].ortY][buildings[8].ortX]=104;
    baumKarte[buildings[8].ortY][buildings[8].ortX]=5;
    buildingKarte[buildings[9].ortY][buildings[9].ortX]=104;
    baumKarte[buildings[9].ortY][buildings[9].ortX]=5;
    buildingKarte[buildings[10].ortY][buildings[10].ortX]=104;
    baumKarte[buildings[10].ortY][buildings[10].ortX]=5;
    buildingKarte[buildings[11].ortY][buildings[11].ortX]=102;
    baumKarte[buildings[11].ortY][buildings[11].ortX]=5;
    buildingKarte[buildings[12].ortY][buildings[12].ortX]=102;
    baumKarte[buildings[12].ortY][buildings[12].ortX]=5;
    buildingKarte[buildings[13].ortY][buildings[13].ortX]=102;
    baumKarte[buildings[13].ortY][buildings[13].ortX]=5;
    buildingKarte[buildings[14].ortY][buildings[14].ortX]=102;
    baumKarte[buildings[14].ortY][buildings[14].ortX]=5;
    buildingKarte[buildings[15].ortY][buildings[15].ortX]=102;
    baumKarte[buildings[15].ortY][buildings[15].ortX]=5;
    buildingKarte[buildings[16].ortY][buildings[16].ortX]=102;
    baumKarte[buildings[16].ortY][buildings[16].ortX]=5;
    buildingKarte[buildings[17].ortY][buildings[17].ortX]=102;
    baumKarte[buildings[17].ortY][buildings[17].ortX]=5;
    buildingKarte[buildings[18].ortY][buildings[18].ortX]=102;
    baumKarte[buildings[18].ortY][buildings[18].ortX]=5;
    buildingKarte[buildings[19].ortY][buildings[19].ortX]=102;
    baumKarte[buildings[19].ortY][buildings[19].ortX]=5;
    buildingKarte[buildings[20].ortY][buildings[20].ortX]=105;
    baumKarte[buildings[20].ortY][buildings[20].ortX]=5;
    buildingKarte[buildings[21].ortY][buildings[21].ortX]=105;
    baumKarte[buildings[21].ortY][buildings[21].ortX]=5;
    buildingKarte[buildings[22].ortY][buildings[22].ortX]=105;
    baumKarte[buildings[22].ortY][buildings[22].ortX]=5;
    buildingKarte[buildings[23].ortY][buildings[23].ortX]=105;
    baumKarte[buildings[23].ortY][buildings[23].ortX]=5;

    buildingKarte[buildings[24].ortY][buildings[24].ortX]=100;
    baumKarte[buildings[24].ortY][buildings[24].ortX]=5;
    baumKarte[buildings[24].ortY+1][buildings[24].ortX]=5;
    baumKarte[buildings[24].ortY][buildings[24].ortX+1]=5;
    baumKarte[buildings[24].ortY+1][buildings[24].ortX+1]=5;

    buildingKarte[buildings[25].ortY][buildings[25].ortX]=100;
    baumKarte[buildings[25].ortY][buildings[25].ortX]=5;
    baumKarte[buildings[25].ortY+1][buildings[25].ortX]=5;
    baumKarte[buildings[25].ortY][buildings[25].ortX+1]=5;
    baumKarte[buildings[25].ortY+1][buildings[25].ortX+1]=5;

    buildingKarte[buildings[26].ortY][buildings[26].ortX]=100;
    baumKarte[buildings[26].ortY][buildings[26].ortX]=5;
    baumKarte[buildings[26].ortY+1][buildings[26].ortX]=5;
    baumKarte[buildings[26].ortY][buildings[26].ortX+1]=5;
    baumKarte[buildings[26].ortY+1][buildings[26].ortX+1]=5;

    buildingKarte[buildings[27].ortY][buildings[27].ortX]=100;
    baumKarte[buildings[27].ortY][buildings[27].ortX]=5;
    baumKarte[buildings[27].ortY+1][buildings[27].ortX]=5;
    baumKarte[buildings[27].ortY][buildings[27].ortX+1]=5;
    baumKarte[buildings[27].ortY+1][buildings[27].ortX+1]=5;

    buildingKarte[buildings[28].ortY][buildings[28].ortX]=106;
    baumKarte[buildings[28].ortY][buildings[28].ortX]=5;
    baumKarte[buildings[28].ortY+1][buildings[28].ortX]=5;
    baumKarte[buildings[28].ortY][buildings[28].ortX+1]=5;
    baumKarte[buildings[28].ortY+1][buildings[28].ortX+1]=5;

    buildingKarte[buildings[29].ortY][buildings[29].ortX]=106;
    baumKarte[buildings[29].ortY][buildings[29].ortX]=5;
    baumKarte[buildings[29].ortY+1][buildings[29].ortX]=5;
    baumKarte[buildings[29].ortY][buildings[29].ortX+1]=5;
    baumKarte[buildings[29].ortY+1][buildings[29].ortX+1]=5;

    buildingKarte[buildings[30].ortY][buildings[30].ortX]=106;
    baumKarte[buildings[30].ortY][buildings[30].ortX]=5;
    baumKarte[buildings[30].ortY+1][buildings[30].ortX]=5;
    baumKarte[buildings[30].ortY][buildings[30].ortX+1]=5;
    baumKarte[buildings[30].ortY+1][buildings[30].ortX+1]=5;

    buildingKarte[buildings[31].ortY][buildings[31].ortX]=106;
    baumKarte[buildings[31].ortY][buildings[31].ortX]=5;
    baumKarte[buildings[31].ortY+1][buildings[31].ortX]=5;
    baumKarte[buildings[31].ortY][buildings[31].ortX+1]=5;
    baumKarte[buildings[31].ortY+1][buildings[31].ortX+1]=5;

/*    if (num==2)
    {
      buildingKarte[buildings[32].ortY][buildings[32].ortX]=101;
      baumKarte[buildings[32].ortY][buildings[32].ortX]=5;
      baumKarte[buildings[32].ortY+1][buildings[32].ortX]=5;
      baumKarte[buildings[32].ortY][buildings[32].ortX+1]=5;
      baumKarte[buildings[32].ortY+1][buildings[32].ortX+1]=5;

      buildingKarte[buildings[33].ortY][buildings[33].ortX]=101;
      baumKarte[buildings[33].ortY][buildings[33].ortX]=5;
      baumKarte[buildings[33].ortY+1][buildings[33].ortX]=5;
      baumKarte[buildings[33].ortY][buildings[33].ortX+1]=5;
      baumKarte[buildings[33].ortY+1][buildings[33].ortX+1]=5;

      buildingKarte[buildings[34].ortY][buildings[34].ortX]=101;
      baumKarte[buildings[34].ortY][buildings[34].ortX]=5;
      baumKarte[buildings[34].ortY+1][buildings[34].ortX]=5;
      baumKarte[buildings[34].ortY][buildings[34].ortX+1]=5;
      baumKarte[buildings[34].ortY+1][buildings[34].ortX+1]=5;
    }*/

//Baeume:

    buildingKarte[10][3]=10;
    baumKarte[10+1][3]=10;
    buildingKarte[10][6]=11;
    baumKarte[10+1][6]=11;

    buildingKarte[20][10]=12;
    baumKarte[20+1][10]=12;
    buildingKarte[20][12]=11;
    baumKarte[20+1][12]=11;
    buildingKarte[22][10]=10;
    baumKarte[22+1][10]=10;
    buildingKarte[24][11]=11;
    baumKarte[24+1][11]=11;
    buildingKarte[22][13]=11;
    baumKarte[22+1][13]=11;
    buildingKarte[23][13]=10;
    baumKarte[23+1][13]=10;

    buildingKarte[5][40]=10;
    baumKarte[5+1][40]=10;
    buildingKarte[6][40]=12;
    baumKarte[6+1][40]=12;
    buildingKarte[7][40]=12;
    baumKarte[7+1][40]=12;
    buildingKarte[5][41]=11;
    baumKarte[5+1][41]=11;
    buildingKarte[6][41]=11;
    baumKarte[6+1][41]=11;
    buildingKarte[7][41]=10;
    baumKarte[7+1][41]=10;
    buildingKarte[8][41]=12;
    baumKarte[8+1][41]=12;
    buildingKarte[5][42]=11;
    baumKarte[6+1][42]=11;
    buildingKarte[7][42]=11;
    baumKarte[7+1][42]=11;
    buildingKarte[8][42]=11;
    baumKarte[8+1][42]=11;
    buildingKarte[3][43]=11;
    baumKarte[3+1][43]=11;
    buildingKarte[4][43]=10;
    baumKarte[4+1][43]=10;
    buildingKarte[5][43]=10;
    baumKarte[5+1][43]=10;
    buildingKarte[6][43]=11;
    baumKarte[6+1][43]=11;
    buildingKarte[5][44]=11;
    baumKarte[5+1][44]=11;
    buildingKarte[6][44]=12;
    baumKarte[6+1][44]=12;
    buildingKarte[7][44]=12;
    baumKarte[7+1][44]=12;
    buildingKarte[8][44]=11;
    baumKarte[8+1][44]=11;
    buildingKarte[6][45]=11;
    baumKarte[6+1][45]=11;
    buildingKarte[7][45]=12;
    baumKarte[7+1][45]=12;
    buildingKarte[8][45]=11;
    baumKarte[8+1][45]=11;

    buildingKarte[5+15][40-20]=10;
    baumKarte[5+16][40-20]=10;
    buildingKarte[6+15][40-20]=12;
    baumKarte[6+16][40-20]=12;
    buildingKarte[7+15][40-20]=12;
    baumKarte[7+16][40-20]=12;
    buildingKarte[5+15][41-20]=11;
    baumKarte[5+16][41-20]=11;
    buildingKarte[6+15][41-20]=11;
    baumKarte[6+16][41-20]=11;
    buildingKarte[7+15][41-20]=10;
    baumKarte[7+16][41-20]=10;
    buildingKarte[8+15][41-20]=12;
    baumKarte[8+16][41-20]=12;
    buildingKarte[5+15][42-20]=11;
    baumKarte[6+16][42-20]=11;
    buildingKarte[7+15][42-20]=11;
    baumKarte[7+16][42-20]=11;
    buildingKarte[8+15][42-20]=11;
    baumKarte[8+16][42-20]=11;
    buildingKarte[3+15][43-20]=11;
    baumKarte[3+16][43-20]=11;
    buildingKarte[4+15][43-20]=10;
    baumKarte[4+16][43-20]=10;
    buildingKarte[5+15][43-20]=10;
    baumKarte[5+16][43-20]=10;
    buildingKarte[6+15][43-20]=11;
    baumKarte[6+16][43-20]=11;
    buildingKarte[5+15][44-20]=11;
    baumKarte[5+16][44-20]=11;
    buildingKarte[6+15][44-20]=12;
    baumKarte[6+16][44-20]=12;
    buildingKarte[7+15][44-20]=12;
    baumKarte[7+16][44-20]=12;
    buildingKarte[8+15][44-20]=11;
    baumKarte[8+16][44-20]=11;
    buildingKarte[6+15][45-20]=11;
    baumKarte[6+16][45-20]=11;
    buildingKarte[7+15][45-20]=12;
    baumKarte[7+16][45-20]=12;
    buildingKarte[8+15][45-20]=11;
    baumKarte[8+16][45-20]=11;
//Loading Defaults:

//    QFile f("~/.kpprc");
    QFile f(".kpprc");
    if (f.open (IO_ReadOnly))
    {
      QDataStream s (&f);
      s>>geschw>>crossScrolling>>crossRising
       >>selScrolling>>selRising>>autoSave;
      f.close();
    }
    }

    void PicLoad::mouseReleaseEvent (QMouseEvent *event)
    {
      mPressed=0;
      pressedSec=0;
//Es soll etwas gebaut werden:
      if (building != -1)
      {
        if (event->button() == LeftButton)
        {
//Hnadelt es sich um ein 2x2 Objekt?
          setBidCounter ();
          if ((rMouseW==square*2)
//Ist der Platz frei?
            &&(baumKarte [(event->y()+karteY)/square]
                         [(event->x()+karteX)/square]==1)
            &&(baumKarte [(event->y()+karteY)/square+1]
                         [(event->x()+karteX)/square]==1)
            &&(baumKarte [(event->y()+karteY)/square]
                         [(event->x()+karteX)/square+1]==1)
            &&(baumKarte [(event->y()+karteY)/square+1]
                         [(event->x()+karteX)/square+1]==1)
//liegt die gewhlte Stelle im Raster?
            &&((event->x()+karteX)/square>=buildings [bselected].ortX-6)
            &&((event->x()+karteX)/square<=buildings [bselected].ortX+5)
            &&((event->y()+karteY)/square>=buildings [bselected].ortY-6)
            &&((event->y()+karteY)/square<=buildings [bselected].ortY+5)
//Ist noch einPlatz im array?
            &&(bidCounter!=-1)
//kontrolliere Energiebedarf:
            &&(((building==0)&&(energie>=6000))
            || ((building==6)&&(energie>=20000))
            || ((building==8)&&(energie>=10000))
            || ((building==1)&&(energie>=4000))))
          {
//Dann setze das Gebude:
/*            baumKarte [(event->y()+karteY)/square]
                      [(event->x()+karteX)/square]=100+bidCounter;
            baumKarte [(event->y()+karteY)/square+1]
                      [(event->x()+karteX)/square]=100+bidCounter;
            baumKarte [(event->y()+karteY)/square]
                      [(event->x()+karteX)/square+1]=100+bidCounter;
            baumKarte [(event->y()+karteY)/square+1]
                      [(event->x()+karteX)/square+1]=100+bidCounter;*/
            baumKarte [(event->y()+karteY)/square]
                      [(event->x()+karteX)/square]=4;
            baumKarte [(event->y()+karteY)/square+1]
                      [(event->x()+karteX)/square]=4;
            baumKarte [(event->y()+karteY)/square]
                      [(event->x()+karteX)/square+1]=4;
            baumKarte [(event->y()+karteY)/square+1]
                      [(event->x()+karteX)/square+1]=4;
            buildingKarte [(event->y()+karteY)/square]
                          [(event->x()+karteX)/square]=100+building;
            buildings[bidCounter].ortX=(event->x()+karteX)/square;
            buildings[bidCounter].ortY=(event->y()+karteY)/square;
//und lege die Eigenschaften fest:
            if (building==0)
            {
              buildings[bidCounter].rBuilding=
                      QRect(buildings[bidCounter].ortX*square,
                            buildings[bidCounter].ortY*square,
                            120,120);
              buildings[bidCounter].gruppe=1;
              buildings[bidCounter].building=0;
              buildings[bidCounter].health=118;
              buildings[bidCounter].bWidth=120;
              energie-=6000;
              energieUsed+=5;
              emit changeEnergie (energie);
            }
            if (building==1)
            {
            buildings[bidCounter].rBuilding=
                      QRect(buildings[bidCounter].ortX*square,
                            buildings[bidCounter].ortY*square,
                            120,120);
              buildings[bidCounter].gruppe=1;
              buildings[bidCounter].building=1;
              buildings[bidCounter].health=118;
              buildings[bidCounter].bWidth=120;
              energie-=4000;
              energieUsed+=5;
              emit changeEnergie (energie);
            }
            if (building==6)
            {
            buildings[bidCounter].rBuilding=
                      QRect(buildings[bidCounter].ortX*square,
                            buildings[bidCounter].ortY*square,
                            120,120);
              buildings[bidCounter].gruppe=1;
              buildings[bidCounter].building=6;
              buildings[bidCounter].health=118;
              buildings[bidCounter].bWidth=120;
              energieUsed+=20;
              energie-=20000;

              sciBuild=1;
              emit changeLeiste ("sci1");
              emit changeEnergie (energie);
            }
            if (building==8)
            {
            buildings[bidCounter].rBuilding=
                      QRect(buildings[bidCounter].ortX*square,
                            buildings[bidCounter].ortY*square,
                            120,120);
              buildings[bidCounter].gruppe=1;
              buildings[bidCounter].building=8;
              buildings[bidCounter].health=118;
              buildings[bidCounter].bWidth=120;
              addEnergie+=30;
              energie-=10000;
              sciBuild=1;
              emit changeLeiste ("sci1");
              emit changeEnergie (energie);
            }
            building=-1;
            rMouseW=square;
          }
//Handelt es sich um ein 1x1 Objekt?
          if ((rMouseW==square)
//Ist der Platz frei?
            &&(baumKarte [(event->y()+karteY)/square]
                         [(event->x()+karteX)/square]==1)
//liegt die gewhlte Stelle im Raster?
            &&((event->x()+karteX)/square>=buildings [bselected].ortX-6)
            &&((event->x()+karteX)/square<=buildings [bselected].ortX+6)
            &&((event->y()+karteY)/square>=buildings [bselected].ortY-6)
            &&((event->y()+karteY)/square<=buildings [bselected].ortY+6)
//Ist noch einPlatz im array?
            &&(bidCounter!=-1)
//kontrolliere Energiebedarf:
            &&(((building==2)&&(energie>=2000))
            ||((building==4)&&(energie>=3500))
            ||((building==5)&&(energie>=2500))
            ||((building==7)&&(energie>=3500))
            ||((building==3)&&(energie>=2000))))
          {
//Dann setze das Gebude:
            baumKarte [(event->y()+karteY)/square]
                      [(event->x()+karteX)/square]=4;//100+bidCounter;
            buildingKarte [(event->y()+karteY)/square]
                          [(event->x()+karteX)/square]=100+building;
            buildings[bidCounter].ortX=(event->x()+karteX)/square;
            buildings[bidCounter].ortY=(event->y()+karteY)/square;
//und lege die Eigenschaften fest:
            if (building==2)
            {
              buildings[bidCounter].rBuilding=
                      QRect(buildings[bidCounter].ortX*square,
                            buildings[bidCounter].ortY*square,
                            60,60);
              buildings[bidCounter].gruppe=1;
              buildings[bidCounter].building=2;
              buildings[bidCounter].health=58;
              buildings[bidCounter].bWidth=60;
              addEnergie+=5;
              energie-=2000;
              emit changeEnergie (energie);
            }
            if (building==5)
            {
              buildings[bidCounter].rBuilding=
                      QRect(buildings[bidCounter].ortX*square,
                            buildings[bidCounter].ortY*square,
                            60,60);
              buildings[bidCounter].gruppe=1;
              buildings[bidCounter].building=5;
              buildings[bidCounter].health=58;
              buildings[bidCounter].bWidth=60;
              energie-=2500;
              energieUsed+=10;
              emit changeEnergie (energie);
            }
            if (building==7)
            {
              buildings[bidCounter].rBuilding=
                      QRect(buildings[bidCounter].ortX*square,
                            buildings[bidCounter].ortY*square,
                            60,60);
              buildings[bidCounter].gruppe=1;
              buildings[bidCounter].building=7;
              buildings[bidCounter].health=58;
              buildings[bidCounter].bWidth=60;
              energie-=1500;
              energieUsed+=1;
              steuerCars+=5;
              emit changeEnergie (energie);
            }
            if (building==3)
            {
              buildings[bidCounter].rBuilding=
                      QRect(buildings[bidCounter].ortX*square,
                            buildings[bidCounter].ortY*square,
                            60,60);
              buildings[bidCounter].gruppe=1;
              buildings[bidCounter].building=3;
              buildings[bidCounter].health=58;
              buildings[bidCounter].bWidth=60;
              energie-=2000;
              energieUsed+=3;
              emit changeEnergie (energie);
              buildings[bidCounter].shootX=-1;
              buildings[bidCounter].shootY=-1;
              buildings[bidCounter].shootFreq=15;
              buildings[bidCounter].power=25;
              buildings[bidCounter].shootVerlauf=0;
            }
            if (building==4)
            {
              buildings[bidCounter].rBuilding=
                      QRect(buildings[bidCounter].ortX*square,
                            buildings[bidCounter].ortY*square,
                            60,60);
              buildings[bidCounter].gruppe=1;
              buildings[bidCounter].building=4;
              buildings[bidCounter].health=58;
              buildings[bidCounter].bWidth=60;
              energie-=3500;
              energieUsed+=5;
              emit changeEnergie (energie);
              buildings[bidCounter].shootX=-1;
              buildings[bidCounter].shootY=-1;
              buildings[bidCounter].shootFreq=20;
              buildings[bidCounter].power=40;
              buildings[bidCounter].shootVerlauf=0;
            }
            building=-1;
            rMouseW=square;
          }
        }
      }
      else
// Es soll nichts gebaut werden:
      {
// Kontrolliere, ob ein Gebude angeklickt wurde
      int found=0;
      int selectedFound=0;
      if (event->button() == LeftButton)
      {
      for (int i=0; i<=(maxBuildings-1); i++)
      {
      if ((event->x()>=buildings[i].ortX*square-karteX)
        &&(event->x()<=buildings[i].ortX*square-karteX+buildings[i].bWidth)
        &&(event->y()>=buildings[i].ortY*square-karteY)
        &&(event->y()<=buildings[i].ortY*square-karteY+buildings[i].bWidth)
        &&(buildings[i].health>0)&&(buildings[i].gruppe==1))
        {
          if (buildings[i].selected==0)
            {
              unselectAll();
              buildings[i].selected=1;
              bselected=i;
              if (buildings[i].building==0)
                {
                  if (sciBuild==0)
                    {emit changeLeiste ("Zentrale1");}
                  else
                    {emit changeLeiste ("Zentrale2");}
                }
              else if (buildings[i].building==1)
                {
                  if (sciBuild==0)
                    {emit changeLeiste ("carProd1");}
                  else
                    {emit changeLeiste ("carProd2");}
                }
              else if ((buildings[i].building==2)
                      ||(buildings[i].building==8))
                {emit changeLeiste ("Energie");}
              else if (buildings[i].building==7)
                {emit changeLeiste ("Steuer");}
              else
                {emit changeLeiste ("none");}
            }
          else
            {
/*              buildings[i].selected=0;
              bselected=-1;*/
            }
          found=1;
        }
        if ((buildings[i].selected==1)&&(selectedFound==0))
          {selectedFound=1;}
      }
      if ((selectedFound==0)||(bselected==-1))
      {emit changeLeiste ("none");}
      if (found==0) 
      {
//Selecting cars:
        for (int i=0; i<=(maxCars-1); i++)
        {
          if ((cars[i].health>0) && (cars[i].gruppe==1))
          {
            if ((event->x()>=cars[i].jeepX-karteX)
              &&(event->x()<=cars[i].jeepX-karteX+square)
              &&(event->y()>=cars[i].jeepY-karteY)
              &&(event->y()<=cars[i].jeepY-karteY+square))
            {
              r2=QRect ((event->x()+karteX)/square,
                          (event->y()+karteY)/square,
                          square, square);
              if (cars[i].selected==1)
                {cars[i].selected=0;}
              else 
                {cars[i].selected=1;}
//Kontrolliere ob noch Cars selected sind:
              int selFound=0;
              for (int i2=0; i2<=maxCars-1; i2++)
              {
                if ((cars[i2].selected==1)&&(cars[i2].gruppe==1))
                  {selFound=1;}
              }
              if (selFound==1)
                {unselected=1;}
              else
                {unselected=0;}
              found=2;
            }
            else if (found != 2)
            {
              if (cars [i].selected==1)
              {
                cars[i].destinationX=(event->x()+karteX)/square;
                cars[i].destinationY=(event->y()+karteY)/square;
              }
            }
          }
        }
      }

// Kontrolliere, ob selecting Rechteck gezeichnet werden soll:
//      if ((unselected==0)&&(selectCounter>=5))
      if (selectCounter>=3)
      {
//kontrolliere, ob Fahrzeuge ausgewhlt worden sind:
        if ((selRx1!=-1)&&(selRy1!=-1))
        {
          for (int j=0; j<=maxCars; j++)
          {
            if ((cars [j].health>0)&&(cars[j].gruppe==1))
            {
              if ((selRx2-selRx1>=0)&&(selRy2-selRy1>=0)
                &&(cars[j].jeepS2x>=selRx1/square)
                &&(cars[j].jeepS2x<=selRx2/square)
                &&(cars[j].jeepS2y>=selRy1/square)
                &&(cars[j].jeepS2y<=selRy2/square))
                {cars[j].selected=1;}
              if ((selRx2-selRx1>=0)&&(selRy2-selRy1<=0)
                &&(cars[j].jeepS2x>=selRx1/square)
                &&(cars[j].jeepS2x<=selRx2/square)
                &&(cars[j].jeepS2y>=selRy2/square)
                &&(cars[j].jeepS2y<=selRy1/square))
                {cars[j].selected=1;}
              if ((selRx2-selRx1<=0)&&(selRy2-selRy1>=0)
                &&(cars[j].jeepS2x>=selRx2/square)
                &&(cars[j].jeepS2x<=selRx1/square)
                &&(cars[j].jeepS2y>=selRy1/square)
                &&(cars[j].jeepS2y<=selRy2/square))
                {cars[j].selected=1;}
              if ((selRx2-selRx1<=0)&&(selRy2-selRy1<=0)
                &&(cars[j].jeepS2x>=selRx2/square)
                &&(cars[j].jeepS2x<=selRx1/square)
                &&(cars[j].jeepS2y>=selRy2/square)
                &&(cars[j].jeepS2y<=selRy1/square))
                {cars[j].selected=1;}
            }
          }
          this->setCursor(arrowCursor);
          selectCounter=-1;
          selRx1=-1;
          selRy1=-1;
          moveKarteX=0;
          moveKarteY=0;
        }
      }

      }
      if (event->button() == RightButton)
      {
// Shoot
        for (int i=0; i<=(maxCars-1); i++)
        {
          if ((cars[i].health>0)&&(cars[i].gruppe==1))
          {
            if ((cars [i].selected==1)&&(cars [i].shootX==-1)
               &&(cars [i].shootY==-1)
               &&(((event->x()+karteX)/square!=cars[i].jeepS2x)
               ||((event->y()+karteY)/square!=cars[i].jeepS2y)))
            {
              cars[i].shootX=(event->x()+karteX)/square;
              cars[i].shootY=(event->y()+karteY)/square;
              if ((cars[i].shootX>=cars[i].jeepS2x-2)
                 &&(cars[i].shootX<=cars[i].jeepS2x+2)
                 &&(cars[i].shootY>=cars[i].jeepS2y-2)
                 &&(cars[i].shootY<=cars[i].jeepS2y+2))
                {cars[i].shootVerlauf=1;}
              else
              {
                cars[i].shootX=-1;
                cars[i].shootY=-1;
                if (((event->x()+karteX)/square!=cars[i].jeepS2x)
                  ||((event->y()+karteY)/square!=cars[i].jeepS2y))
                {
                  cars[i].destinationX=(event->x()+karteX)/square;
                  cars[i].destinationY=(event->y()+karteY)/square;
                }
              }
            }
          }
        }
      }
      }
      if (event->button() == RightButton)
      {
        if (building!=-1)
        {
          building=-1;
          rMouseW=square;
        }
      }
// SelRechteck:
      if (selectCounter<selRising)
      {
        selectCounter=-1;
        selRx1=-1;
        selRy1=-1;
        moveKarteX=0;
        moveKarteY=0;
      }
      repaint(FALSE);
    }

    void PicLoad::scrollKarteSlot(int x, int y)
    {
      if (x>maxKarteX-kBreite+3)
        {x=maxKarteX-kBreite+3;}
      if (y>maxKarteY-kHoehe+2)
        {y=maxKarteY-kHoehe+2;}
      karteX=x*square;
      karteY=y*square;
      repaint (FALSE);
    }

    void PicLoad::unselectAll ()
    {
      for (int i=0; i<=(maxCars-1); i++)
      {
         if (cars[i].selected==0)
           {selSicherC[i]=0;}
         else
           {selSicherC[i]=1;}
         cars[i].selected=0;
      }
      for (int i=0; i<=(maxBuildings-1); i++)
      {
         if (buildings[i].selected==0)
           {selSicherB[i]=0;}
         else
           {selSicherB[i]=1;}
         buildings[i].selected=0;
      }
      unselected=0;
    }


    void PicLoad::changeGradSlotInt(int grad)
    {
      difficulty=grad;
    }

    void PicLoad::changeGradSlot(const char* grad)
    {
      if (grad=="very incredible easy")
        {difficulty=1;}
      else if (grad=="incredible easy")
        {difficulty=2;}
      else if (grad=="very easy")
        {difficulty=3;}
      else if (grad=="easy")
        {difficulty=4;}
      else if (grad=="realitic")
        {difficulty=5;}
      else if (grad=="who wants to live forever?")
        {difficulty=6;}
      else {difficulty=6;}
      text2=grad;
    }

    void PicLoad::buildZentrale ()
    {
      rMouseW=2*square;
      building=0;
    }
    
    void PicLoad::buildCannon ()
    {
      rMouseW=square;
      building=3;
    }

    void PicLoad::buildCannon2 ()
    {
      rMouseW=square;
      building=4;
    }

    void PicLoad::buildRadar ()
    {
      rMouseW=square;
      building=5;
    }

    void PicLoad::buildSci ()
    {
      rMouseW=square*2;
      building=6;
    }
    void PicLoad::buildPan1 ()
    {
      typeOfCar=0;
      buildJeep();
    }

    void PicLoad::buildPan2 ()
    {
      typeOfCar=1;
      buildJeep();
    }

    void PicLoad::buildPan3 ()
    {
      typeOfCar=2;
      buildJeep();
    }

    void PicLoad::buildPan4 ()
    {
      typeOfCar=3;
      buildJeep();
    }

    void PicLoad::autoChangedSlot (int num)
    {
      autoOn=num;
    }

    void PicLoad::buildJeep ()
    {
      if ((((energie>=500)&&(typeOfCar==0))||
          ((energie>=750)&&(typeOfCar==1))||
          ((energie>=1100)&&(typeOfCar==2))||
          ((energie>=1500)&&(typeOfCar==3)))
          &&(steuerCars-steuerUsed>=1))
      {
//Es soll ein Auto hergestellt werden:
        int placed=0;
        int x=buildings[bselected].ortX-1;
        int y=buildings[bselected].ortY-1;
        int radius=2;
        int stepp=1;
//x2,y2-var, die die "Kreisbewegung" erzeugen:
        int x2=0;
        int y2=0;
        int sCount=0;
        while (placed==0)
          {
            if ((stepp==1)&&(x2<radius))
            {
              x2++;
              y2=0;
              if (x2==radius)
              {stepp++;y2=0, x2=0;}
            }
            else if ((stepp==2)&&(y2<radius))
            {
              x2=0;
              y2++;
              if (y2==radius)
              {stepp++;y2=0, x2=0;}
            }
            if ((stepp==3)&&(x2<radius))
            {
              x2++;
              y2=radius;
              if (x2==radius)
              {stepp++;y2=0, x2=0;}
            }
            else if ((stepp==4)&&(y2<radius))
            {
              x2=radius;
              y2++;
              if (y2==radius)
              {stepp=1;
               radius+=2;
               x2=0;
               y2=0;
               if (radius>20)
                 {placed=1;}
              }
            }
            sCount++;
            if (sCount>=10000)
              {placed=10;}
            x=buildings[bselected].ortX-radius/2+x2+1;
            y=buildings[bselected].ortY-radius/2+y2+1;
            if ((buildings[bselected].ortX>=0)
                &&(buildings[bselected].ortX<=karteRangeX)
                &&(buildings[bselected].ortY>=0)
                &&(buildings[bselected].ortY<=karteRangeY)
                &&(baumKarte[y][x]==1))
            {
              setCidCounter();
              if (cidCounter != -1)
              {
                cars[cidCounter].health=58;
                cars[cidCounter].jeepS1x=x;
                cars[cidCounter].jeepS1y=y;
                cars[cidCounter].jeepS2x=x;
                cars[cidCounter].jeepS2y=y;
                cars[cidCounter].jeepS3x=x;
                cars[cidCounter].jeepS3y=y;
                cars[cidCounter].jeep.load(picPfad+"/pa9000.gif");
                cars[cidCounter].jeepX=0;
                cars[cidCounter].jeepY=0;
                cars[cidCounter].selected=0;
                cars[cidCounter].destinationX=x;
                cars[cidCounter].destinationY=y;
                cars[cidCounter].verlauf=59;
                cars[cidCounter].shootVerlauf=0;
                cars[cidCounter].shootX=-1;
                cars[cidCounter].shootY=-1;
                cars[cidCounter].gruppe=1;
                baumKarte[y][x]=3;
                placed=1;
                if (typeOfCar==0)
                {
                  energie-=700;
                  cars[cidCounter].power=12;
                  cars[cidCounter].type=1;
                  cars[cidCounter].shootFreq=30;
                  cars[cidCounter].stepps=1;
                  energieUsed+=1;
                  steuerUsed+=1;
                }
                else if (typeOfCar==1)
                {
                  energie-=600;
                  cars[cidCounter].type=2;
                  cars[cidCounter].stepps=3;
                  cars[cidCounter].power=5;
                  cars[cidCounter].shootFreq=20;
                  energieUsed+=1;
                  steuerUsed+=1;
                }
                else if (typeOfCar==2)
                {
                  energie-=500;
                  cars[cidCounter].type=3;
                  cars[cidCounter].power=10;
                  cars[cidCounter].stepps=4;
                  cars[cidCounter].shootFreq=15;
                  energieUsed+=1;
                  steuerUsed+=1;
                }
                else if (typeOfCar==3)
                {
                  energie-=1700;
                  energieUsed+=2;
                  steuerUsed+=1;
                  cars[cidCounter].stepps=1;
                  cars[cidCounter].type=4;
                  cars[cidCounter].power=45;
                  cars[cidCounter].shootFreq=40;
                }
              }
            }
          }
        }
      else
      {
        if (((energie<=500)&&(typeOfCar==0))||
          ((energie<=750)&&(typeOfCar==1))||
          ((energie<=1100)&&(typeOfCar==2))||
          ((energie<=1500)&&(typeOfCar==3)))
          {infoString="This requires more energy!";
           mCounter=0;
           }
        if (steuerCars-steuerUsed<1)
          {infoString="Build more Control Centers.";
           mCounter=0;
          }
      }
    }

//Computer-Car-Building:

    void PicLoad::buildCarComp (int type, int bselected)
    {
      if ((energie2>0)
          /*(((energie2>=500)&&(type==0))||
          ((energie2>=750)&&(type==1))||
          ((energie2>=1100)&&(type==2))||
          ((energie2>=1500)&&(type==3)))*/
          &&(steuerCars2-steuerUsed2>=1))
      {
//Es soll ein Auto hergestellt werden:
        int placed=0;
        int x=buildings[bselected].ortX-1;
        int y=buildings[bselected].ortY-1;
        int radius=2;
        int stepp=1;
//x2,y2-var, die die "Kreisbewegung" erzeugen:
        int x2=0;
        int y2=0;
        int sCount=0;
        while (placed==0)
          {
            if ((stepp==1)&&(x2<radius))
            {
              x2++;
              y2=0;
              if (x2==radius)
              {stepp++;y2=0, x2=0;}
            }
            else if ((stepp==2)&&(y2<radius))
            {
              x2=0;
              y2++;
              if (y2==radius)
              {stepp++;y2=0, x2=0;}
            }
            if ((stepp==3)&&(x2<radius))
            {
              x2++;
              y2=radius;
              if (x2==radius)
              {stepp++;y2=0, x2=0;}
            }
            else if ((stepp==4)&&(y2<radius))
            {
              x2=radius;
              y2++;
              if (y2==radius)
              {stepp=1;
               radius+=2;
               x2=0;
               y2=0;
               if (radius>20)
                 {placed=1;}
              }
            }
            sCount++;
            if (sCount>=10000)
              {placed=10;}
            x=buildings[bselected].ortX-radius/2+x2+1;
            y=buildings[bselected].ortY-radius/2+y2+1;
            if ((buildings[bselected].ortX>=0)
                &&(buildings[bselected].ortX<=karteRangeX)
                &&(buildings[bselected].ortY>=0)
                &&(buildings[bselected].ortY<=karteRangeY)
                &&(baumKarte[y][x]==1))
            {
              setCidCounter();
              if (cidCounter != -1)
              {
                cars[cidCounter].health=58;
                cars[cidCounter].jeepS1x=x;
                cars[cidCounter].jeepS1y=y;
                cars[cidCounter].jeepS2x=x;
                cars[cidCounter].jeepS2y=y;
                cars[cidCounter].jeepS3x=x;
                cars[cidCounter].jeepS3y=y;
                cars[cidCounter].jeep.load(picPfad+"/pa9000.gif");
                cars[cidCounter].jeepX=0;
                cars[cidCounter].jeepY=0;
                cars[cidCounter].selected=0;
                cars[cidCounter].destinationX=x;
                cars[cidCounter].destinationY=y;
                cars[cidCounter].verlauf=59;
                cars[cidCounter].shootVerlauf=0;
                cars[cidCounter].shootX=-1;
                cars[cidCounter].shootY=-1;
                cars[cidCounter].gruppe=2;
                baumKarte[y][x]=2;
                placed=1;
                if (type==0)
                {
                  energie2-=700;
                  cars[cidCounter].power=12;
                  cars[cidCounter].type=1;
                  cars[cidCounter].shootFreq=30;
                  cars[cidCounter].stepps=1;
                  cars[cidCounter].wache=1;
                  energieUsed2+=1;
                  steuerUsed2+=1;
                  cars[cidCounter].destinationX= ::rand()%49;
                  cars[cidCounter].destinationY= 21+rand()%8;
                  cars[cidCounter].wacheX=cars[cidCounter].destinationX;
                  cars[cidCounter].wacheY=cars[cidCounter].destinationY;
                  carCount2++;
                }
                else if (type==1)
                {
                  energie2-=600;
                  cars[cidCounter].type=2;
                  cars[cidCounter].stepps=3;
                  cars[cidCounter].power=5;
                  cars[cidCounter].shootFreq=20;
                  cars[cidCounter].wache=1;
                  energieUsed2+=1;
                  steuerUsed2+=1;
                  cars[cidCounter].destinationX= ::rand()%49;
                  cars[cidCounter].destinationY= 21+rand()%8;
                  cars[cidCounter].wacheX=cars[cidCounter].destinationX;
                  cars[cidCounter].wacheY=cars[cidCounter].destinationY;
                  carCount2++;
                }
                else if (type==2)
                {
                  energie2-=500;
                  cars[cidCounter].type=3;
                  cars[cidCounter].power=10;
                  cars[cidCounter].stepps=4;
                  cars[cidCounter].shootFreq=15;
                  cars[cidCounter].wache=1;
                  energieUsed2+=1;
                  steuerUsed2+=1;
                  cars[cidCounter].destinationX= ::rand()%49;
                  cars[cidCounter].destinationY= 21+rand()%8;
                  cars[cidCounter].wacheX=cars[cidCounter].destinationX;
                  cars[cidCounter].wacheY=cars[cidCounter].destinationY;
                  carCount2++;
                }
                else if (type==3)
                {
                  energie2-=1700;
                  energieUsed2+=2;
                  steuerUsed2+=1;
                  cars[cidCounter].stepps=1;
                  cars[cidCounter].type=4;
                  cars[cidCounter].power=45;
                  cars[cidCounter].shootFreq=40;
                  cars[cidCounter].wache=1;
                  cars[cidCounter].destinationX= ::rand()%49;
                  cars[cidCounter].destinationY= 21+rand()%8;
                  cars[cidCounter].wacheX=cars[cidCounter].destinationX;
                  cars[cidCounter].wacheY=cars[cidCounter].destinationY;
                  carCount2++;
                }
              }
            }
          }
        }
    }

    void PicLoad::setBidCounter ()
    {
      int found=0;
      for (int i=0; i<= maxBuildings-1; i++)
      {
        if ((buildings[i].health<=0)&&(found==0))
        {
          found=1;
          bidCounter=i;
        }
      }
      if (found==0)
      {
        bidCounter=-1;
        infoString="No more buildings possible!";
        mCounter=0;
      }
    }

    void PicLoad::setCidCounter ()
    {
      int found=0;
      for (int i=0; i<= maxCars-1; i++)
      {
        if ((cars[i].health<=0)&&(found==0))
        {
          found=1;
          cidCounter=i;
        }
      }
      if (found==0)
      {
        cidCounter=-1;
        infoString="No more vehicles possible!";
        mCounter=0;
      }
    }

    void PicLoad::unselectSlot()
    {
      unselectAll();
      emit changeLeiste ("none");
    }

    void PicLoad::buildCarprod ()
    {

      rMouseW=2*square;
      building=1;
    }

    void PicLoad::buildEnergie ()
    {
      rMouseW=square;
      building=2;
    }

    void PicLoad::buildEnergie2 ()
    {
      rMouseW=square*2;
      building=8;
    }

    void PicLoad::buildSteuer ()
    {
      rMouseW=square;
      building=7;
    }

    void PicLoad::mousePressEvent (QMouseEvent *event)
    {
      if (event->button() == LeftButton)
      {
        if (building==-1)
        {
//Setze selectrechteck:
          if (selectCounter==-1)
          {
            if ((selRx1==-1)&&(selRy1==-1))
            {
              selectCounter=0;
              selRx1=event->x()+karteX;
              selRy1=event->y()+karteY;
              selRx2=event->x()+karteX;
              selRy2=event->y()+karteY;
            }
          }
        }
      }
      if (event->button()==RightButton)
      {
        mPressed=1;
        navX=event->x();
        navY=event->y();
        pressedSec=1;
      }
    }

    void PicLoad::mouseMoveEvent (QMouseEvent *event)
    {
// Berechne Select-Rechteck:
       if ((selRx1!=-1)&&(selRy1!=-1)&&(selectCounter>=selRising))
       {
         selRx2=event->x()+karteX-karteX%square;
         selRy2=event->y()+karteY-karteY%square;
         if ((selRx2-selRx1>=0)&&(event->x()>=kBreite*square-180))
         {
           moveKarteX=selScrolling;
         }
         if ((selRy2-selRy1>=0)&&(event->y()>=kHoehe*square-120))
         {
           moveKarteY=selScrolling;
         }
         if (event->x()<=60)
         {
           moveKarteX=-selScrolling;
         }
         if (event->y()<=60)
         {
           moveKarteY=-selScrolling;
         }
         if ((event->x()>60)&&(event->x()<kBreite*square-180)
             &&(event->y()>60)&&(event->y()<kHoehe*square-120))
         {
           moveKarteY=0;
           moveKarteX=0;
         }
       }
       else
       {
         moveKarteX=0;
         moveKarteY=0;
         selRx2=event->x()+karteX-karteX%square;
         selRy2=event->y()+karteY-karteY%square;
       }
       rMouseP=QRect (event->x(), event->y(), 1, 1);
/*       if (((event->x()/square)!= xOld)||((event->y()/square)!= yOld))
       {
          xOld=event->x()/square;
          yOld=event->y()/square;
          rMouse=QRect (xOld*square-karteX%square,
                        yOld*square-karteY%square,
                        rMouseW, rMouseW);

//          repaint (FALSE);
       }*/
       xOld=(event->x()+karteX%square)/square*square-karteX%square;
       yOld=(event->y()+karteY%square)/square*square-karteY%square;
            
       rMouse=QRect (xOld,
                     yOld,
                     rMouseW, rMouseW);         
/*      if ((mStartX=event->x()!=-1)&&(mStartY=event->y()!=-1)
         &&(event->button()==LeftButton))
      {
        karteX=karteXalt+mStartX-event->x();
        karteY=karteYalt+mStartY-event->y();
      }*/
      if (pressedSec>=1)
      {
        nav2X=event->x();
        nav2Y=event->y();
      }
      if (autoScroll==1)
      {
         if (event->x()>=kBreite*square-150)
         {
           autoMoveKarteX=selScrolling;
         }
         if (event->y()>=kHoehe*square-90)
         {
           autoMoveKarteY=selScrolling;
         }
         if (event->x()<=30)
         {
           autoMoveKarteX=-selScrolling;
         }
         if (event->y()<=30)
         {
           autoMoveKarteY=-selScrolling;
         }
         if ((event->x()>30)&&(event->x()<kBreite*square-150)
             &&(event->y()>30)&&(event->y()<kHoehe*square-90))
         {
           autoMoveKarteY=0;
           autoMoveKarteX=0;
         }
      }

    }

    void PicLoad::scrollKarteH (int x)
    {
      karteX = x;
      repaint (FALSE);
    }

    void PicLoad::scrollKarteV (int y)
    {
      karteY = y;
      repaint (FALSE);
    }

    void PicLoad::paintShoot(int x,int y,int x2,int y2,
                             int verlaufEnde, int verlauf, int type)
    {
// 1. berechne shoot - Lnge:
      int origX=x, origY=y;
      int d, dx, dy, ai, bi, xi, yi, points=0;

      if (x < x2) 
      { 
        xi = 1; 
        dx = x2 - x; 
      } 
      else 
      { 
        xi = - 1; 
        dx = x - x2; 
      } 
 
      if (y < y2)
      {
        yi = 1; 
        dy = y2 - y; 
      }
      else 
      { 
        yi = - 1; 
        dy = y - y2; 
      } 
 
      points++;

      if (dx > dy)
      {
        ai = (dy - dx) * 2; 
        bi = dy * 2; 
        d  = bi - dx; 
        int sCount=0;
        do
        {
          if (d >= 0)
          {
            y += yi; 
            d += ai; 
          } 
          else
          {
            d += bi;
          }
          x += xi;
          points++;
          sCount++;
          if (sCount>=10000)
            {x=x2;}
        }
        while (x != x2); 
      } 
      else 
      { 
        ai = (dx - dy) * 2; 
        bi = dx * 2; 
        d  = bi - dy; 
        int sCount=0;
        do 
        {
          if (d >= 0)
          { 
            x += xi;
            d += ai;
          }
          else 
          {
            d += bi;
          }
          y += yi;
          points++;
          if (sCount>=10000)
            {y=y2;}
        }
        while (y != y2); 
      }
// 2. bestimme den nchsten Mal-Startpunkt:
     int start=points/verlaufEnde;
// 3.male nun den Laser / Kugel

        int point2=0;
        x=origX;
        y=origY;
        if (x < x2) 
        { xi = 1; dx = x2 - x; } 
        else 
        { xi = - 1; dx = x - x2; } 
        if (y < y2)
        { yi = 1; dy = y2 - y; }
        else 
        { yi = - 1; dy = y - y2; } 
        point2++;
        if ((point2>=start*verlauf)&&(point2<=start*verlauf+15)
           &&(type==1))
          {p.drawPoint (x,y);}
        else if ((point2==start*verlauf)
           &&(type==2))
          {p.drawPixmap( x, y, shoot1);}
        else if ((point2==start*verlauf)
           &&(type==3))
          {p.drawPixmap( x, y, shoot2);}
        else if ((point2>=points-4)
           &&(type==4))
          {p.drawPixmap( x-30, y-30, shoots[points-point2]);}
        if (dx > dy)
        {
          ai = (dy - dx) * 2; 
          bi = dy * 2; 
          d  = bi - dx; 
          int sCount=0;
          do 
          {
            if (d >= 0)
            { y += yi; d += ai; }
            else
            { d += bi;}
            x += xi;
            point2++;
            if ((point2>=start*verlauf)&&(point2<=start*verlauf+15)
               &&(type==1))
              {p.drawPoint (x,y);}
            else if ((point2==start*verlauf)
               &&(type==2))
              {p.drawPixmap( x, y, shoot1);}
            else if ((point2==start*verlauf)
              &&(type==3))
              {p.drawPixmap( x, y, shoot2);}
            else if ((point2>=points-4)
              &&(type==4))
              {p.drawPixmap( x-30, y-30, shoots[points-point2]);}
            if (sCount>=10000)
              {x=x2;}
          }
          while (x != x2); 
        } 
        else 
        { 
          ai = (dx - dy) * 2; 
          bi = dx * 2; 
          d  = bi - dy; 
          int sCount=0;
          do 
          {
            if (d >= 0)
            { x += xi; d += ai;}
            else 
            { d += bi; }
            y += yi;
            point2++;
            if ((point2>=start*verlauf)&&(point2<=start*verlauf+15)
               &&(type==1))
              {p.drawPoint (x,y);}
            else if ((point2==start*verlauf)
               &&(type==2))
              {p.drawPixmap( x, y, shoot1);}
            else if ((point2==start*verlauf)
              &&(type==3))
              {p.drawPixmap( x, y, shoot2);}
            else if ((point2>=points-4)
              &&(type==4))
              {p.drawPixmap( x-30, y-30, shoots[points-point2]);}
            if (sCount>=10000)
              {y=y2;}
          }
          while (y != y2); 
        }
    }

    void PicLoad::paintEvent(QPaintEvent* event)
    {
      QRect r1= event->rect ();
      QPixmap page (r1.size () );
      p.begin( &page );
   
      QBrush   brush( blue );
      QPen     pen( white );
      p.setBrush( brush );
      p.setPen( pen );
      p.translate (-r1.x(), -r1.y() );
      for (int y=karteY/square; y<=karteY/square+kHoehe-1; y++)
        for (int x=karteX/square; x<=karteX/square+kBreite-1; x++)
        {
          if ((x<=karteRangeX)&&(y<=karteRangeX))
            {p.drawPixmap(x*square - karteX, square*y - karteY,pm);}
        }

      p.setBrush( NoBrush );
//Male Gelnde
      for (int y=karteY/square-1; y<=karteY/square+kHoehe-1; y++)
      {
        for (int x=karteX/square-1; x<=karteX/square+kBreite-1; x++)
        {
          if ((x<=karteRangeX)&&(y<=karteRangeX)&&(y>=0)&&(x>=0))
          {
            if (baumKarte [y][x] == 0)
              {p.drawPixmap(x*square - karteX, y*square - karteY, stone);}
            if (baumKarte [y][x] == 6)
              {p.drawPixmap(x*square - karteX, y*square - karteY, stone2);}
            if (baumKarte [y][x] == 7)
              {p.drawPixmap(x*square - karteX, y*square - karteY, stone3);}
            else if ((baumKarte [y][x] >= 20)&&(baumKarte [y][x] <= 33))
              {p.drawPixmap(x*square - karteX, y*square - karteY,
                            pwasser[baumKarte [y][x]-20]);}
          }
        }
      }

//Male Gebude

      for (int i=0; i<=(maxBuildings-1); i++)
      {
        if ((buildings[i].health>0)
           &&(buildings[i].ortY>=karteY/square-1)
           &&(buildings[i].ortY<=karteY/square+kHoehe)
           &&(buildings[i].ortX>=karteX/square-1)
           &&(buildings[i].ortX<=karteX/square+kBreite))
        {

//Paint Shoot

          if (buildings[i].shootVerlauf!=0)//&&(buildings[i].shootVerlauf<=5))
          {
            p.setPen( yellow );
            if ((buildings[i].building==3))//&&(cars[i].shootVerlauf<=10))
/*              {p.drawLine (buildings[i].ortX*square+square/2-karteX,
                        buildings[i].ortY*square+square/2-karteY, 
                        buildings[i].shootX*square+square/2-karteX,
                        buildings[i].shootY*square+square/2-karteY);}*/
              {paintShoot(buildings[i].ortX*square+square/2-karteX,
                        buildings[i].ortY*square+square/2-karteY, 
                        buildings[i].shootX*square+square/2-karteX,
                        buildings[i].shootY*square+square/2-karteY,
                        10, buildings[i].shootVerlauf,1);}
            else if (buildings[i].building==4)
              {paintShoot(buildings[i].ortX*square+square/2-karteX,
                        buildings[i].ortY*square+square/2-karteY, 
                        buildings[i].shootX*square+square/2-karteX,
                        buildings[i].shootY*square+square/2-karteY,
                        20, buildings[i].shootVerlauf,3);}
          }
//Male health Gebude:
          if (buildings[i].gruppe==1)
            {p.setPen( blue );}
          else
            {p.setPen( red );}
          p.setBrush( NoBrush );
          p.drawRect (buildings[i].ortX*square-karteX,
                      buildings[i].ortY*square-karteY,
                      buildings[i].bWidth, 6 );
          p.setBrush( red );       
          p.setPen( red );
          p.drawRect (buildings[i].ortX*square-karteX+1,
                      buildings[i].ortY*square-karteY+1,
                      buildings[i].health, 4 );
          p.setBrush( NoBrush );
//Male Umrandung Gebude:
          if (buildings[i].gruppe==1)
          {
             p.setPen( blue );
             p.drawRect (buildings[i].ortX*square-karteX,
                      buildings[i].ortY*square-karteY,
                      buildings[i].bWidth, buildings[i].bWidth);
          }
          else if (buildings[i].gruppe==2)
          {
             p.setPen( red );
             p.drawRect (buildings[i].ortX*square-karteX,
                      buildings[i].ortY*square-karteY,
                      buildings[i].bWidth, buildings[i].bWidth);
          }
        }
        //Male Selected Gebude:
        p.setPen( yellow );
        if (buildings[i].selected==1)
        {
          p.drawRect (buildings[i].ortX*square-karteX,
                      buildings[i].ortY*square-karteY,
                      buildings[i].bWidth, buildings[i].bWidth );
        }      
//Male Raster, wenn weiteres Gebude gesetzt werden soll.
        if ((buildings[i].selected==1) && (building!=-1))
        {
          p.setPen( green );
          for (int x=0; x<=13; x++)
          {
            p.drawLine ((buildings[i].ortX-6+x)*square-karteX,
                        (buildings[i].ortY-6)*square-karteY,
                        (buildings[i].ortX-6+x)*square-karteX,
                        (buildings[i].ortY+7)*square-karteY);
            p.drawLine ((buildings[i].ortX-6)*square-karteX,
                        (buildings[i].ortY-6+x)*square-karteY,
                        (buildings[i].ortX+7)*square-karteX,
                        (buildings[i].ortY-6+x)*square-karteY);
          }
 
//Male Selected Gebude:
          p.setPen( yellow );
          if (buildings[i].selected==1)
          {
            p.drawRect (buildings[i].ortX*square-karteX,
                        buildings[i].ortY*square-karteY,
                        buildings[i].bWidth, buildings[i].bWidth );
          }
        }
      }
//Male Fahrzeuge

      for (int i=0; i<=(maxCars-1); i++)
      {
        if ((cars[i].health >0) 
           &&(fogKarte[cars[i].jeepS2y][cars[i].jeepS2x]==1)
           &&(cars[i].jeepS2y>=karteY/square-1)
           &&(cars[i].jeepS2y<=karteY/square+kHoehe)
           &&(cars[i].jeepS2x>=karteX/square-1)
           &&(cars[i].jeepS2x<=karteX/square+kBreite))
        {
          if (cars[i].type==3)
          {
            p.drawPixmap( 0+cars[i].jeepX - karteX,
                          0+cars[i].jeepY - karteY, pan1 [cars[i].pic]);
          }
          if (cars[i].type==4)
          {
            p.drawPixmap( 0+cars[i].jeepX - karteX,
                          0+cars[i].jeepY - karteY, pan3 [cars[i].pic]);
          }
          else if (cars[i].type==2)
          {
            p.drawPixmap( 0+cars[i].jeepX - karteX,
                          0+cars[i].jeepY - karteY, pan2 [cars[i].pic]);
          }
          else if (cars[i].type==1)
          {
            p.drawPixmap( 0+cars[i].jeepX - karteX,
                          0+cars[i].jeepY - karteY, pan [cars[i].pic]);
          }
          if (cars[i].gruppe==1)
            {p.setPen( blue );}
          else
            {p.setPen( red );}
          p.drawRect (cars[i].jeepX - karteX,
                      cars[i].jeepY - karteY,60,6);
          p.setBrush( red );
          p.setPen( red );
          p.drawRect (cars[i].jeepX - karteX+1,
                      cars[i].jeepY - karteY+1,cars[i].health, 4);
          p.setBrush( NoBrush );
          if (cars[i].selected==1)
          {
            p.setPen( white );
            p.drawRect (cars[i].jeepX - karteX,
                        cars[i].jeepY - karteY, square, square);
          }
          else
          {
            if (cars[i].gruppe==1)
            {
              p.setPen( blue );
              p.drawRect (cars[i].jeepX - karteX,
                          cars[i].jeepY - karteY, square, square);
            }
            else if (cars[i].gruppe==2)
            {
              p.setPen( red );
              p.drawRect (cars[i].jeepX - karteX,
                          cars[i].jeepY - karteY, square, square);
            }
          }

//Paint Shoot

          if (cars[i].shootVerlauf!=0)//&&(cars[i].shootVerlauf<=5))
          {
            p.setPen( yellow );
            if (cars [i].type==2)
            {
              paintShoot(cars[i].jeepX+square/2-karteX,
                         cars[i].jeepY+square/2-karteY, 
                         cars[i].shootX*square+square/2-karteX,
                         cars[i].shootY*square+square/2-karteY,
                         10, cars[i].shootVerlauf,1);
            }
            else if (cars [i].type==1)
            {
              paintShoot(cars[i].jeepX+square/2-karteX,
                         cars[i].jeepY+square/2-karteY, 
                         cars[i].shootX*square+square/2-karteX,
                         cars[i].shootY*square+square/2-karteY,
                         10, cars[i].shootVerlauf,2);
            }
            else if (cars [i].type==4)
            {
              paintShoot(cars[i].jeepX+square/2-karteX,
                         cars[i].jeepY+square/2-karteY, 
                         cars[i].shootX*square+square/2-karteX,
                         cars[i].shootY*square+square/2-karteY,
                         5, cars[i].shootVerlauf,3);
            }
            else if ((cars [i].type==3)&&(cars[i].shootVerlauf<=10))
            {
              paintShoot(cars[i].jeepX+square/2-karteX,
                         cars[i].jeepY+square/2-karteY, 
                         cars[i].shootX*square+square/2-karteX,
                         cars[i].shootY*square+square/2-karteY,
                         10, cars[i].shootVerlauf,4);
            }
          }
        }
      }
//Male Gebude;
      for (int y=karteY/square-1; y<=karteY/square+kHoehe-1; y++)
      {
        for (int x=karteX/square-1; x<=karteX/square+kBreite-1; x++)
        {
          if ((x<=karteRangeX)&&(y<=karteRangeX)&&(y>=0)&&(x>=0))
          {
            if (buildingKarte [y][x] == 100)
              {p.drawPixmap(x*square - karteX, y*square - karteY, 
                            movZen[az%10]);}
            else if (buildingKarte [y][x] == 101)
              {p.drawPixmap(x*square - karteX, y*square - karteY, pCarprod);}
            else if (buildingKarte [y][x] == 102)
              {p.drawPixmap(x*square - karteX, y*square - karteY, pEnergie);}
            else if (buildingKarte [y][x] == 103)
              {p.drawPixmap(x*square - karteX, y*square - karteY, pCannon);}
            else if (buildingKarte [y][x] == 104)
              {p.drawPixmap(x*square - karteX, y*square - karteY, 
                            movCan2[az%10]);}
            else if (buildingKarte [y][x] == 105)
              {p.drawPixmap(x*square - karteX, y*square - karteY,
                            movRadar [az%10]);}
            else if (buildingKarte [y][x] == 106)
              {p.drawPixmap(x*square - karteX, y*square - karteY,
                            movSci[az%10]);}
            if (buildingKarte [y][x] == 107)
              {p.drawPixmap(x*square - karteX, y*square - karteY, 
                            movSte[az%10]);}
            if (buildingKarte [y][x] == 108)
              {p.drawPixmap(x*square - karteX, y*square - karteY, 
                            movEn2[az%10]);}
// Male Baueme:
            if ( ((y>=1)
                && (!((fogKarte [y-1][x]==2)
                &&(fogKarte2 [y-1][x]!=3)))
                )
                ||(y==0))
            {
              if (baumKarte [y][x] == 10)
                {p.drawPixmap(x*square - karteX, (y-1)*square - karteY,
                              baum1);}
              else if (baumKarte [y][x] == 11)
                {p.drawPixmap(x*square - karteX, (y-1)*square - karteY,
                              baum2);}
              else if (baumKarte [y][x] == 12)
              {p.drawPixmap(x*square - karteX, (y-1)*square - karteY,
                              baum3);}
            }
//Male Fog:
            if ((fogKarte [y][x]==2)&&(fogKarte2 [y][x]!=3))
              {p.drawPixmap(x*square - karteX, y*square - karteY, pSchwarz);}
            if ((fogKarte2 [y][x]==3)&&(fogKarte [y][x]==2))
              {p.drawPixmap(x*square - karteX, y*square - karteY, pGrau);}
          }
        }
      }
      p.setBrush(NoBrush);
      p.setPen(white);
      if (pressedSec>=10)
        {p.drawPixmap(navX-100, navY-100, navPic);}
/*      if ((buildings[i].selected==1) && (building!=-1))
        {p.drawWinFocusRect (rMouse);}*/
      if ((building!=-1))
        {p.drawRect (rMouse);}
//      p.drawRect (rMouseP);

      p.drawText(10,10,infoString);
      if (selectCounter>=selRising)
      {
        this->setCursor(crossCursor);
        p.drawRect (selRx1-karteX, selRy1-karteY, selRx2-selRx1,
                    selRy2-selRy1);
      }
/*text.sprintf
("carCount2:%d|energie2:%d|carsAngriff1:%d|steuerUsed2:%d|steuerCars2:%d
   |attackB:%d|t:%d, az: %d",
  carCount2, energie2, carsAngriff2, steuerUsed2, steuerCars2,
attackBuilding, yOld, xOld);
   p.drawText (10, 50, text);*/
//   p.drawText (10, 70, "|"+picPfad+"|");
//   p.drawText (10, 90, test3);
/*       text.sprintf
("jeeps1X:%d|jeeps1Y:%d||jeeps2X:%d|jeeps2Y:%d||verlauf: %d
",
cars[0].jeepS1x, cars[0].jeepS1y, cars[0].jeepS2x, cars[0].jeepS2y,
cars[0].verlauf);*/
      p.end();
      emit SbarHSlotInSignal(karteX);
      emit SbarVSlotInSignal(karteY);
      bitBlt (this, 0, 0, &page);
    }
