/*
###########################################################################
#                                                                         #
# File   :	sbarv.h                                                   #
# Project:	PP - Prometheus Project                                   #
#                                                                         #
# Started:	02.04.98                                                  #
# Changed:	02.04.98                                                  #
# Author :      Gerhard Vogt                                              #
#                                                                         #
# Copyright (C) 1998 by Gerhard Vogt                                      #
#                                                                         #
# This program is free software; you can redistribute it and/or modify    #
# it under the terms of the GNU General Public License as published by    #
# the Free Software Foundation; either version 2 of the License, or       #
# (at your option) any later version.                                     #
#                                                                         #
# This program is distributed in the hope that it will be useful,         #
# but WITHOUT ANY WARRANTY; without even the implied warranty of          #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           #
# GNU General Public License for more details.                            #
#                                                                         #
# You should have received a copy of the GNU General Public License       #
# along with this program; if not, write to the Free Software             #
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               #
# See the file "COPYING" in the base directory of this distribution       #
# for more.                                                               #
#                                                                         #
###########################################################################
*/
#include <qwidget.h>
#include <qscrbar.h>

#ifndef SBARV_H
#define SBARV_H

//const int karteRangeX2=49, karteRangeY2=49;

class sBarV : public QWidget {

Q_OBJECT

public:
  sBarV (QWidget *parent=0, const char *name=0);
  void resizeEvent (QResizeEvent *);
  QScrollBar *scrollBarV;
  int hoehe, breite, range;

public slots:
  void changeSbarVSlotOut (int value);
  void changeSbarVSlotIn (int value);


signals:
  void sBarVSignal (int value);

};

#endif
